	;	Disassembled by:
	;		DASMx object code disassembler
	;		(c) Copyright 1996-2003   Conquest Consultants
	;		Version 1.40 (Oct 18 2003)
	;	File:		ti5ds7.bin
	;	Size:		8192 bytes
	;	Checksum:	EF2E
	;	CRC-32:		95B92834
	;	Date:		Tue Dec 15 20:57:12 2015
	;	CPU:		Intel 8080 (MCS-80/85 family)
	
; tasm -85 -g3 ti5ds7.asm ti5ds7.bin
; g0 is Intel Hex
; g3 selects binary
	
	.org	02000h
			;last byte in DS6 is 2Ah or lhld opcode

	.db	041h	;mov	b,c
	.db	043h	;mov	b,e

;	lhld	$4341	;using 2A in DS6 and the two bytes above
	
	mov	a,l
	ana	b
	jz	L2009

	mvi	c,004h
L2009:
	mov	a,h
	ana	b
	mov	a,c
	jz	L2011

	adi	008h
L2011:
	mov	c,a
	ret


L2013:
	lhld	$443F		;load hl with ptr to start of voice RAM for voice we are accessing
	mov	l,m		;get byte at that address into l
	mvi	h,042h		;h=42
	mov	a,m		;read [hl]
	ana	a
	jnz	L202D

	lda	$4134		;seems like index of current voice when we are accessing its RAM area (0-7)
	mov	c,a		;save it in c
	inr	c		;now it's 1-8
	mvi	a,001h		;init mask
L2025:
	dcr	c		;dec c
	jz	L202D		;when it's 0, exit
	add	a		;otherwise shift mask one to left
	jmp	L2025		;and loop

L202D:				;so now acc holds a bit mask for current voice 
	mov	b,a		;save it in b
	cma
	mov	c,a		;save the complement of it in c
	ret


L2031:
	call	L2013
	lhld	$4341
	mov	a,l
	ana	c
	mov	l,a
	mov	a,h
	ana	c
	mov	h,a
	mov	a,e
	ani	004h
	jz	L2046

	mov	a,l
	ora	b
	mov	l,a
L2046:
	mov	a,e
	ani	008h
	jz	L204F

	mov	a,h
	ora	b
	mov	h,a
L204F:
	shld	$4341
	jmp	00255h		;DS6 code



L2055:				;handler for Port Enab Sw
	lda	$441E		;shadow for LED row 3
	xra	e
	sta	$441E		;shadow for LED row 3
	out	05Bh		;update LED row 3
	ana	e
	rz
	lda	$4133		;get mode
	cpi	003h
	rz			;return if mono

	xra	a
	sta	$4144
	lxi	d,02072h
	mvi	b,070h
	jmp	00493h		;DS6 code


L2072:
	lxi	h,$4144
	mov	a,m
	ana	a
	jnz	L207E

	mov	m,d
	jmp	0046Fh		;DS6 code


L207E:
	push	d
	push	b
	mov	e,a
	mvi	b,071h
	call	00493h		;DS6 code

	lda	$441E		;shadow for LED row 3
	ani	0EFh		;clear Port Enab bit
	sta	$441E
	out	05Bh		;update LED row 3

	mov	a,e
	sub	d
	mov	e,a
	lda	$461A
	ani	040h
	jz	L20A6
	push	d
	mov	a,e
	ani	07Fh
	mov	e,a
	mvi	d,003h
	call	00564h		;DS6 code
	pop	d
L20A6:
	mov	a,e
	add	a
	call	0D5A7h		;DS8 code
	pop	b
	pop	d
	jmp	0046Fh		;DS6 code


L20B0:
	mov	a,e
	ani	020h
	mov	e,a
	lda	$441E		;shadow for LED row 3
	ani	0DFh		;clear Filter Keytrack bit
	jmp	L20D8


L20BC:				;handler for Filt Key Track Sw
	lda	$441E		;shadow for LED row 3
	mov	d,a
	lda	$461A
	ani	040h
	mov	a,d
	jz	L20D8

	push	d
	ana	e
	jz	L20D0

	mvi	a,07Fh
L20D0:
	mov	e,a
	mvi	d,04Ah
	call	$0564
	pop	d
	mov	a,d
L20D8:
	xra	e
	mov	b,a
	sta	$441E		;shadow for LED row 3
	out	05Bh		;update LED row 3
	mov	a,b
	ana	e
	lhld	$443F
	lxi	b,0007Bh
	dad	b
	mov	m,a
	ret


L20EA:
	lda	$441E		;shadow for LED row 3
	ani	03Fh		;clear pedal ctl enables
	mov	b,a
	mov	a,e
	add	a
	ora	b
	jmp	L2111


L20F6:				;handler for both Pedal Ctl switches
	lda	$461A
	ani	040h
	jz	L210D

	push	d
	lda	$441E		;shadow for LED row 3
	xra	e
	ani	0C0h
	rrc
	mov	e,a
	mvi	d,04Ch
	call	00564h		;DS6 code
	pop	d
L210D:
	lda	$441E		;shadow for LED row 3
	xra	e
L2111:
	sta	$441E		;shadow for LED row 3
	out	05Bh		;update LED row 3
	ani	0C0h
	mov	b,a
	lhld	$443F
	lxi	d,00068h
	dad	d
	mov	a,m
	ani	03Fh
	ora	b
	mov	m,a
	ret


L2126:
	lda	$441F		;shadow for LED row 4
	ani	0F0h		;clear pitch and mod wheel enabs
	ora	e
	jmp	L2149


L212F:				;handler for Pitch and Mod wheel
	lda	$461A		;ctl enable switches
	ani	040h
	jz	L2145

	push	d
	lda	$441F		;shadow for LED row 4
	xra	e
	ani	00Fh
	mov	e,a
	mvi	d,04Bh
	call	00564h		;DS6 code
	pop	d
L2145:
	lda	$441F		;shadow for LED row 4
	xra	e
L2149:
	sta	$441F		;shadow for LED row 4
	out	05Ch		;update LED row 4
	ani	00Fh
	rlc
	rlc
	mov	b,a
	lhld	$443F
	lxi	d,00068h
	dad	d
	mov	a,m
	ani	0C0h
	ora	b
	mov	m,a
	ret

				;handler for Bank A-D switches
L2160:				;which are dual-function		
	lda	$4135		;sw second fcn mask?		
	mov	b,a		
	ani	001h	
	jnz	L220F

	mov	a,b
	ani	004h
	rnz
	lda	$4427
	ani	030h
	jz	L219A

	call	L21B9
L2178:
	lda	$412E
	mov	c,a
	ana	a
	jnz	L2183

	mov	a,b
	ana	e
	rnz
L2183:
	mvi	a,007h
	sub	d
	rrc
	rrc
	sta	$412F
	xra	a
	sta	$412E
	mov	a,c
	ana	a
	cnz	0DEAAh		;DS8 code
	lxi	d,00000h
	jmp	0DEC9h		;DS8 code


L219A:
	mvi	e,030h
	call	L21B9
	lda	$4422
	ani	010h
	cnz	L2538
L21A7:
	mvi	a,002h
	sta	$412E
	xra	a
	sta	$412F
	lxi	d,00010h
	call	0DEC9h		;DS8 code
	jmp	0DEAAh		;DS8 code


L21B9:
	lda	$441F
	mov	b,a
	ani	00Fh
	ora	e
	sta	$441F
	out	05Ch		;update LED row 4
	lda	$461A
	ani	040h
	rz
	push	d
	push	b
	mov	a,e
	rrc
	rrc
	rrc
	rrc
	mov	e,a
	mvi	d,049h
	call	00564h		;DS6 code
	pop	b
	pop	d
	ret


L21DB:
	push	d
	lda	$441E		;LED row 3 shadow
	ani	001h		;check Mode bit
	cnz	01F17h		;DS6 code
	lda	$4422
	ani	010h
	cnz	L2538
	pop	d
	mov	a,e
	rlc
	rlc
	rlc
	rlc
	mov	e,a

	lda	$441F
	ani	00Fh		;clear bank bits
	ora	e
	sta	$441F
	out	05Ch		;update LED row 4

	mov	a,e
	cpi	030h
	jz	L21A7

	mvi	d,007h
	mov	a,e
L2207:
	add	a
	jc	L2178
	dcr	d
	jmp	L2207


L220F:
	lda	$441F
	ani	00Fh		;clear bank bits
	mov	c,a
	lda	$461A
	xra	e
	mov	b,a
	ani	0F0h
	ora	c
	sta	$441F
	out	05Ch		;update LED row 4
	mov	a,b
	ani	080h
	jnz	L2239

	mov	a,b
	ori	002h
	sta	$461A
	lda	$4422
	ori	002h
	sta	$4422
	jmp	L270D


L2239:
	mov	a,b
	ani	002h
	rz
	lxi	d,04D00h
	call	$0564
	call	$0FE6
	lxi	h,04600h	;start of voice 1 patch storage?
	shld	$4142
L224C:
	lhld	$4142
	mvi	d,04Fh
	mov	a,m
	ana	a
	jm	L2258
	mvi	d,04Eh
L2258:
	ani	07Fh
	mov	e,a
	call	$0564
	lda	$4142
	inr	a
	cpi	018h
	jp	L2270
	sta	$4142
	call	0D24Ch		;DS8 code
	jmp	0224Ch		;DS8 code


L2270:
	lxi	d,04D01h
	jmp	00564h		;DS6 code


L2276:				;handler for Prog Grp 1-4 switches
	lda	$441E		;shadow for LED row 3
	ani	001h		;check Mode bit
	jnz	L229C		;if it's set, just update LED's

				;mode is not enabled
	lda	$412F		;seems to contain current program number, 0-255
	ani	0C0h		;just save top two bits (based on bank)
	mov	b,a		;in b
	mov	a,d		
	ani	003h		;save low 2 bits of changed switch index
	rlc			;multiply it by 8
	rlc
	rlc
	ora	b		;OR it with bank part
	sta	$412F		;save it
	lda	$412E
	ana	a
	jz	L2298

	lda	$4421		;shadow for LED row 6
L2298:
	mov	d,a
	jmp	0DEC9h		;DS8 code


L229C:				;mode bit is set:
	lda	$4420		;get shadow for LED row 5
	xra	e
	sta	$4420		;update shadow for LED row 5
	sta	$461B		;update save area equiv of addr 413F, row 5 mode bits
	out	05Dh		;update LED row 5
	jmp	L270D


				;handler for Prog Grp 5-8 switches
				;called with mask for pressed bit in d reg
L22AB:				;which are dual fcn			
	lda	$4135		;sw second fcn mask
	ani	002h		;is "Mode" enabled?
	jnz	L22C7
				;mode is not enabled
	lda	$412F		;seems to contain current program number, 0-255
	ani	0C0h		;just save top two bits (based on bank)
	mov	b,a		;in b
	mov	a,d		;get pos of changed bit (5-8)
	rlc			;multiply times 8 to get patch index
	rlc
	rlc
	ora	b
	sta	$412F		;update patch number
	mov	d,e
	mvi	e,000h
	jmp	0DEC9h		;DS8 code


L22C7:				;mode is enabled
	mov	a,d		;d is bit pos of sw that changed pos
	ani	003h
	mov	d,a

	lda	$4421		;shadow for LED row 6
	ani	00Fh
	ora	e
	sta	$4421		;shadow for LED row 6
	out	05Eh		;update LED row 6

	mov	a,d
	call	$0CA5		;writes acc to 4133 mode, clears transpose bit, jumps based on 4133
	xra	a
	sta	$4134		;seems like index of current voice when we are accessing its RAM area (0-7)
	jmp	$0EB4

L22E1:				
	lda	$4133
	mov	c,a
	lda	$461A
	ani	040h		;if 461A D6=0, set mode with 4133 0-3 value
	mov	a,c
	jz	L2319

	lxi	h,$4100
	mvi	m,0B0h
	inx	h
	mov	a,c
	ana	a
	jnz	L2300

	mvi	m,07Fh
	mvi	b,002h
	jmp	L230F

L2300:
	mvi	m,07Eh
	mvi	b,003h
	inx	h
	mvi	m,001h
	mov	a,c
	cpi	003h
	jnz	L230F

	mvi	m,007h
L230F:
	lxi	d,$4100
	call	$057F

	lda	$4133
	mov	c,a
L2319:				;create new mode mask in acc D4-7 based on c reg value (0-3)
	mov	a,c
	ana	a
	mvi	a,010h		;acc starting value
L231D:
	jz	L2325		;exit if c=0
	add	a		;shift acc to left one
	dcr	c
	jmp	L231D

L2325:				;this code is for setting mode, using d reg contents
	mov	d,a
	lda	$4135		;sw second fcn mask
	ani	002h		;is "Mode" enabled?
	jnz	L2333
	mov	a,d		;mode is not enabled, so just change variable
	sta	$4140		;mode bits in upper nibble:D7 Mono, D6:Dual, D5:Split, D4:Poly
	ret

L2333:				;mode is enabled, so update LED's
	lda	$4421		;shadow for LED row 6
	ani	00Fh
	ora	d
	sta	$4421		;shadow for LED row 6
	out	05Eh		;update LED row 6
	ret



L233F:
	lda	$4421		;shadow for LED row 6
	ani	0F0h
	ora	e
	sta	$4421		;shadow for LED row 6
	out	05Eh		;update LED row 6
	jmp	L2368

L234D:
	lda	$4421		;shadow for LED row 6
	xra	e
	sta	$4421		;shadow for LED row 6
	out	05Eh		;update LED row 6
	ani	00Fh
	mov	e,a
	lda	$461A
	ani	040h
	jz	L2368
	push	d
	mvi	d,045h
	call	$0564
	pop	d
L2368:
	lxi	b,00067h
	lhld	$443F
	dad	b
	mov	a,m
	ani	0F0h
	ora	e
	mov	m,a
	ret



L2375:
	lda	$441E		;shadow for LED row 3
	mov	d,a
	ani	001h		;check mode bit
	jz	L2383

	push	d
	call	01F17h		;DS6 code
	pop	d
L2383:
	mov	a,d
	ani	00Ch
	rz
	jmp	L23A6

	lda	$441E		;shadow for LED row 3
	mov	d,a
	ani	001h		;check mode bit
	jnz	L2484
	mov	a,d
	ani	00Ch
	rz
	lda	$461A
	ani	040h
	jz	L23A6

	push	d
	mvi	d,047h
	call	00564h		;DS6 code
	pop	d
L23A6:
	lda	$4422		;shadow for LED row 7
	ani	0F8h
	ora	e
	sta	$4422		;shadow for LED row 7

	lda	$441E		;shadow for LED row 3
	ani	004h		;check "1" LED
	jz	L23DC

	call	L23BD
	jmp	L23DC


L23BD:
	call	L2013
	lda	$4340
	ana	c
	mov	c,a
	mov	a,e
	ani	004h
	mov	a,c
	jz	L23CD

	ora	b
L23CD:
	sta	$4340
	out	055h
	mov	a,e
	lhld	$443F
	lxi	d,0006Bh
	dad	d
	mov	m,a
	ret


L23DC:
	lda	$441E		;shadow for LED row 3
	ani	008h		;check "2" LED bit
	rz
	lda	$4422		;shadow for LED row 7
	ani	007h
	lhld	$443F
	xchg
	lxi	h,00072h
	dad	d
	mov	m,a
	ana	a
	rrc
	jc	L23FF
	rrc
	jc	L240A
	lxi	b,00000h
	jmp	L2402


L23FF:
	lxi	b,0057Ch
L2402:
	lxi	h,00077h
	dad	d
	mov	m,c
	inx	h
	mov	m,b
	ret


L240A:
	lxi	h,00073h
	dad	d
	mvi	m,000h
	inx	h
	mvi	m,0F8h
	ret


L2414:
	lda	$441E		;shadow for LED row 3
	ani	001h		;check mode bit
	jnz	L2484		;jump if set

				;mode bit is not set
	lda	$4422		;shadow for LED row 7
	xra	e
	sta	$4422		;shadow for LED row 7
	out	05Fh		;update LED row 7
	mov	b,a
	lda	$441E		;shadow for LED row 3
	ani	001h		;check mode bit
	rnz
	mov	a,b
	ana	e
	rz
	xra	a
	sta	$4144
	lxi	d,0243Bh
	mvi	b,070h
	jmp	$0493


L243B:
	lxi	h,$4144
	mov	a,m
	ana	a
	jnz	L2447
	mov	m,d
	jmp	$046F

L2447:
	push	b
	push	d
	mov	e,a

	lda	$4422		;shadow for LED row 7
	ani	0F7h
	sta	$4422		;shadow for LED row 7
	mvi	b,071h
	call	$0493
	lxi	h,0CFD0h
	dad	d
	xchg
	mov	a,e
	add	a
	call	0D58Eh		;DS8 code
	mov	a,d
	add	a
	push	d
	call	0D598h		;DS8 code
	lda	$461A
	ani	040h
	jz	L247E
	pop	d
	push	d
	mvi	d,00Dh
	call	$0564
	pop	d
	push	d
	mov	e,d
	mvi	d,00Eh
	call	$0564
L247E:
	pop	d
	pop	d
	pop	b
	jmp	$046F

L2484:
	mov	a,e
	ani	003h
	cnz	L24F0
	lda	$461A
	xra	e
	mov	b,a
	mov	a,e
	ani	002h
	jz	L24A7
	ana	b
	jnz	L24A7
	mov	a,b
	ani	001h
	mov	b,a

	lda	$441F		;shadow for LED row 4
	ani	00Fh
	sta	$441F		;shadow for LED row 4
	out	05Ch		;update LED row 4
L24A7:
	mov	a,b
	ani	00Ch
	mov	a,b
	jz	L24B0
	ori	002h
L24B0:
	sta	$461A
	ani	00Fh
	mov	b,a
	lda	$4422		;shadow for LED row 7
	ani	0F0h
	ora	b
	sta	$4422		;shadow for LED row 7
	mov	a,e
	ani	001h
	jz	L24DC

	lda	$4105		;get shadow for UART cmd register
	ani	0FBh		;clear rx enable bit
	mov	c,a		;save it in c
	mov	a,b
	ani	001h
	rlc
	rlc
	ora	c		;enable/disable rx based on D0 of b reg
	sta	$4105		;update shadow for UART cmd register
	out	0B9h		;write to 8251 control reg

	call	$0932
	jmp	L270D

L24DC:
	mov	a,b
	ana	e
	rnz
	lxi	h,0B07Bh
	shld	$4100
	mvi	b,002h
	lxi	d,$4100
	call	$057F
	jmp	L270D
				
				;we jump here when MIDI channel selection changes
L24F0:				;ORs chan var D3 into "chan" mode bit of row 5, displays 							
	push	d		;in or out chan info based on pressed switch
	ani	001h		;check sw row 7 state for MIDI In sw pressed
	jnz	L24FC		;jump if it's pressed

	lda	$4103		;MIDI out channel info?
	jmp	L24FF

L24FC:
	lda	$461C		;MIDI in base channel?
L24FF:
	mov	b,a		;save data read from selected address
	ani	008h		;only save D3 bit
	rrc
	rrc
	rrc
	rrc			;rotate it into D7 (channel) pos
	mov	c,a
	lxi	h,$4420		;shadow for LED row 5
	mov	a,m
	ani	07Fh		;clear D7
	ora	c		;OR in c value
	mov	m,a
	out	05Dh		;update LED row 5

	mov	a,b		;retrieve low byte selected chan var, 
	ani	007h		;just low 3 bits in acc
	call	0DF3Ah		;DS8 code, formats acc (0-7) for display in Prog Sel (or Prog Grp), in de
	lhld	$441C		;shadows for LED rows 1,2
	call	0DEDCh		;DS8 code, OR d and e upper nibbles into hl, write to prog select LEDs
	pop	d
	ret



L251F:				;called when Edit Rise or Edit PW (Also MIDI IN and OUT) pressed
	lda	$441E		;shadow for LED row 3
	ani	001h		;check mode bit
	rz
	lxi	d,00000h	;clear prog sel LEDs
	lhld	$441C		;shadows for LED rows 1,2
	call	0DEDCh		;DS8 code, OR d and e upper nibbles into hl, write to prog select LEDs

	lxi	h,$4420		;shadow for LED row 5
	mov	a,m
	ani	07Fh
	mov	m,a
	out	05Dh		;update LED row 5
	ret


L2538:
	lda	$441E		;shadow for LED row 3
	ani	001h		;check mode bit
	cnz	01F17h		;DS6 code

	lda	$4422		;shadow for LED row 7
	xri	010h
	sta	$4422		;shadow for LED row 7
	mov	b,a
	ani	010h
	mov	a,b
	jz	L256C

	ani	0DFh
	sta	$4422		;shadow for LED row 7
	mvi	a,004h
	sta	$413E
	mvi	c,006h
	call	0DE1Fh		;DS8 code
	xra	a
	sta	$412E
	lxi	h,$441F
	mov	a,m
	ani	00Fh
	mov	m,a
	out	05Ch		;update LED row 4
	ret


L256C:
	xra	a
	sta	$413E
	lda	$412E
	ori	008h
	mov	c,a
	jmp	0DE1Fh		;DS8 code


L2579:				;switch handler for Patch Read switch
	lda	$441E		;shadow for LED row 3
	ani	001h		;check Mode bit
	cnz	01F17h		;DS6 code

	lda	$4422		;shadow for LED row 7
	ani	010h		;check Edit bit
	cnz	L2538

	lda	$4422		;shadow for LED row 7
	xri	020h		;Flip Patch Read bit
	sta	$4422		;shadow for LED row 7

	ani	020h		;check new state of Patch Read bit
	jnz	$0F48		;if it's set, jump here
	ret



L2597:				;switch handler for Patch Store switch
	lda	$441E		;shadow for LED row 3
	ani	001h		;check Mode bit
	rnz

	lda	$4422		;shadow for LED row 7
	mov	b,a
	ani	030h		;check Edit and Patch Read bits
	rnz			;return if either is set

	mov	a,b
	ori	040h		;set Patch Store bit
	sta	$4422		;update shadow for LED row 7

	lda	$412E
	ana	a
	jz	L263A
	lda	$4424
	ani	010h
	jz	L2740
	call	L266B
	shld	$4142

	lda	$4133		;get mode
	cpi	003h
	jnz	L25E0		;jump if not mono

	lda	$461F
	inr	a
	sta	$461F
	cpi	00Fh
	jc	L25E0
	mvi	a,00Eh
	sta	$461F

	lxi	h,$4422		;shadow for LED row 7
	mov	a,m
	ori	080h		;set D7 of LED 7 row shadow (reset LED)
	mov	m,a
	ret



L25E0:
	lda	$4133		;get mode
	mov	m,a		;write it to memory
	ana	a
	jz	L2614		;jump if poly

	mov	b,a
	cpi	003h
	jz	L261D		;jump if mono

	lxi	h,04080h
	shld	$443F
	call	01197h		;DS6 code
	lhld	$4142
	inx	h
	mvi	m,000h
	shld	$4142
	lxi	h,04180h
	shld	$443F
	call	01197h		;DS6 code
	lda	$4133
	dcr	a
	rnz
	lda	$4114		;get split point, MIDI value of highest note in low part
	jmp	011CBh		;DS6 code

L2614:
	lxi	h,04080h
	shld	$443F
	jmp	01197h		;DS6 code


L261D:
	xra	a
L261E:
	sta	$4134		;seems like index of current voice when we are accessing its RAM area (0-7)
	call	$0CDD		;writes start of voice ram for current voice (in 4134) to 443F
	call	01183h		;DS6 code
	lda	$4134		;seems like index of current voice when we are accessing its RAM area (0-7)
	inr	a
	cpi	008h		;iterate over all 8 voices
	rnc
	lhld	$4142
	inx	h
	mvi	m,000h
	shld	$4142
	jmp	L261E		;loop


L263A:				;looks like code to write a patch to Patch RAM
	lda	$4134		;seems like index of current voice when we are accessing its RAM area (0-7)
	call	$0CDD		;writes start of voice ram for current voice (in 4134) to 443F
	call	$0FE6
	call	$0CE9		;returns the address of current patch in hl and at $4130, reads Patch if Patch Read enabled
	lxi	d,04600h	;start of patch buffer
	mvi	b,018h		;24 bytes in each patch
	jmp	0DF09h		;DS8, copies from [de] to [hl], incs both ptrs, uses b as byte ctr


L264E:				;called when Patch Store sw pressed
	lxi	h,$4422		;shadow for LED row 7
	mov	a,m
	ani	03Fh		;clear Patch Store bit
	mov	m,a
	ret


L2656:
	lda	$412F
	ani	01Fh
	mov	b,a
	adi	020h
	mov	l,a
	mvi	h,046h
	mov	l,m
	mvi	h,096h
	lda	$461E
	cmp	b
	rp
	inr	h
	ret


L266B:
	call	L2656
	push	h
	mov	a,m
	cpi	003h
	jnz	L2679
	lxi	h,$461F
	dcr	m
L2679:
	call	L26FE
	mov	b,a
	lda	$4133
	call	L26FE
	mov	c,a
	sub	b
	jz	L26F9
	jc	L26AC
	pop	h
	push	h
	push	psw
	mov	e,c
	mvi	d,000h
	dad	d
	cma
	inr	a
	mov	e,a
	mvi	d,0FFh
	mvi	a,0FFh
	sub	l
	mov	c,a
	mvi	a,097h
	sbb	h
	mov	b,a
	inx	b
	xchg
	lxi	d,097FFh
	dad	d
	xchg
	call	0DF1Dh		;DS8 code
	jmp	L26C5

L26AC:
	pop	h
	push	h
	push	psw
	mov	e,b
	mvi	d,000h
	dad	d
	mov	e,l
	mov	d,h
	mov	c,a
	mvi	b,0FFh
	dad	b
	mvi	a,0FFh
	sub	e
	mov	c,a
	mvi	a,097h
	sbb	d
	mov	b,a
	inx	b
	call	0DF12h		;DS8 code
L26C5:
	pop	psw
	mov	c,a
	lda	$412F
	mov	e,a
	mvi	h,046h
L26CD:
	inr	e
	mov	a,e
	cpi	020h
	jnc	L26DD
	adi	020h
	mov	l,a
	mov	a,m
	add	c
	mov	m,a
	jmp	L26CD

L26DD:
	mvi	a,01Fh
	sta	$461E
	mvi	e,00Ah
L26E4:
	inr	e
	mov	a,e
	cpi	020h
	jnc	L26F9
	adi	020h
	mov	l,a
	mov	a,m
	cpi	028h
	jnc	L26E4
	mov	a,e
	dcr	a
	sta	$461E
L26F9:
	call	L270D
	pop	h
	ret


L26FE:
	lxi	h,L2709
	ani	003h
	mov	e,a
	mvi	d,000h
	dad	d
	mov	a,m
	ret

L2709:
	.db	004h
	.db	009h
	.db	008h
	.db	019h


L270D:				;DS6 calls this code
	lxi	h,$461A
	lxi	b,00028h	;40 bytes
	call	0DF28h		;DS8 code, forms 16-bit checksum of memory in de, bc is byte ctr
	xchg
	shld	$4618		;save checksum at 4618
	ret


L271B:				;DS6 calls this
	lxi	h,$461A
	lxi	b,00028h	;40 bytes
	call	0DF28h		;DS8 code, forms 16-bit checksum of memory in de, bc is byte ctr
	mov	a,e
	ora	d
	jz	L2734
	lhld	$4618		;load saved checksum
	mov	a,e
	cmp	l
	jnz	L2734
	mov	a,d
	cmp	h
	rz			;return if it matches current checksum
L2734:
	lxi	h,0FFFFh
	shld	$461A
	shld	$461C		;invalidate MIDI In channel range
	shld	$4640
L2740:
	mvi	a,01Fh
	sta	$461E
	xra	a
	sta	$461F
	lxi	b,001FFh
	lxi	d,09600h
	stax	d
	mov	l,e
	mov	h,d
	inx	h
	call	0DF12h		;DS8 code
	lxi	h,04620h
	xra	a
L275A:
	cpi	080h
	rnc
	mov	m,a
	adi	004h
	inx	h
	jmp	L275A
	
L2764:
	.FILL	($2796-$),000h	
L2796:			;DS6 code at A4E accesses this data
	.dw	0157Eh	;first, six DS6 code addresses
	.dw	01589h
	.dw	015A6h
	.dw	015C8h
	.dw	015CEh
	.dw	00950h

	.db	080h
	.db	040h
	.db	024h
	.db	024h

	.db	000h
	.db	01Ch
	.db	028h
	.db	028h

	.db	0FFh
	.db	050h
	.db	009h

	.db	080h
	.db	040h
	.db	024h
	.db	024h

	.db	000h
	.db	00Ch
	.db	028h
	.db	028h

	.db	00Fh
	.db	000h
	.db	050h
	.db	009h
	.db	080h
	.db	041h
	.db	030h
	.db	030h
	.db	010h
	.db	01Ch
	.db	034h
	.db	034h
	.db	0F0h

L27C2:				;next 35 bytes (b0th groups) copied to 4220 when we start arpeggiator
	.db	050h		;4220, code address 0950h
	.db	009h		;4221
	.db	080h		;4222
	.db	040h		;4223
	.db	024h		;4224
	.db	024h		;4225
	.db	000h		;4226
	.db	000h		;4227
	.db	028h		;4228
	.db	028h		;4229
	.db	001h		;422A
	.db	000h		;422B

	.db	050h		;422C, code address 0950h
	.db	009h		;422D
	.db	080h		;422E
	.db	041h		;422F
	.db	030h		;4230
	.db	030h		;4231
	.db	004h		;4232
	.db	01Ch		;4233
	.db	034h		;4234
	.db	034h		;4235
	.db	0FEh		;4236
	.db	000h		;4237


L27DA:			;code in DS8 copies these 11 bytes to address 4238 at startup
	.db	0A5h		;4238
	.db	008h		;4239, code address 08A5h
	.db	080h		;423A
	.db	040h		;423B
	.db	03Ch		;423C
	.db	03Ch		;423D
	.db	000h		;423E
	.db	000h		;423F
	.db	040h		;4240
	.db	040h		;4241
	.db	000h		;4242

				;this is a table of addresses for the
				;routines in DS6 that DS8 jumps to
				;must have been required by the tools they were using
L27E5:	jmp	00573h		;DS6 code, writes byte in acc into MIDI tx buffer, then sends it
L27E8:	jmp	00932h		;DS6 code
L27EB:	jmp	01D00h		;DS6 code
L27EE:	jmp	00CA5h		;DS6 code
L27F1:	jmp	00851h		;DS6 code
L27F4:	jmp	009C0h		;DS6 code
L27F7:	jmp	00493h		;DS6 code
L27FA:	jmp	00C3Bh		;DS6 code
L27FD:	jmp	00C51h		;DS6 code
	
L2800:

exptab:

	.dw	0FFC1h
	.dw	0FF4Bh
	.dw	0FED5h
	.dw	0FE60h
	.dw	0FDEAh
	.dw	0FD75h
	.dw	0FD00h
	.dw	0FC8Bh
	.dw	0FC17h
	.dw	0FBA2h
	.dw	0FB2Eh
	.dw	0FABAh
	.dw	0FA46h
	.dw	0F9D3h
	.dw	0F95Fh
	.dw	0F8ECh
	.dw	0F879h
	.dw	0F807h
	.dw	0F794h
	.dw	0F722h
	.dw	0F6B0h
	.dw	0F63Eh
	.dw	0F5CCh
	.dw	0F55Bh
	.dw	0F4E9h
	.dw	0F478h
	.dw	0F408h
	.dw	0F397h
	.dw	0F326h
	.dw	0F2B6h
	.dw	0F246h
	.dw	0F1D6h
	.dw	0F167h
	.dw	0F0F7h
	.dw	0F088h
	.dw	0F019h
	.dw	0EFAAh
	.dw	0EF3Bh
	.dw	0EECDh
	.dw	0EE5Fh
	.dw	0EDF1h
	.dw	0ED83h
	.dw	0ED15h
	.dw	0ECA8h
	.dw	0EC3Ah
	.dw	0EBCDh
	.dw	0EB60h
	.dw	0EAF4h
	.dw	0EA87h
	.dw	0EA1Bh
	.dw	0E9AFh
	.dw	0E943h
	.dw	0E8D7h
	.dw	0E86Ch
	.dw	0E801h
	.dw	0E795h
	.dw	0E72Bh
	.dw	0E6C0h
	.dw	0E655h
	.dw	0E5EBh
	.dw	0E581h
	.dw	0E517h
	.dw	0E4ADh
	.dw	0E444h
	.dw	0E3DAh
	.dw	0E371h
	.dw	0E308h
	.dw	0E29Fh
	.dw	0E236h
	.dw	0E1CEh
	.dw	0E166h
	.dw	0E0FEh
	.dw	0E096h
	.dw	0E02Eh
	.dw	0DFC7h
	.dw	0DF5Fh
	.dw	0DEF8h
	.dw	0DE91h
	.dw	0DE2Bh
	.dw	0DDC4h
	.dw	0DD5Eh
	.dw	0DCF7h
	.dw	0DC91h
	.dw	0DC2Ch
	.dw	0DBC6h
	.dw	0DB60h
	.dw	0DAFBh
	.dw	0DA96h
	.dw	0DA31h
	.dw	0D9CCh
	.dw	0D968h
	.dw	0D903h
	.dw	0D89Fh
	.dw	0D83Bh
	.dw	0D7D7h
	.dw	0D774h
	.dw	0D710h
	.dw	0D6ADh
	.dw	0D64Ah
	.dw	0D5E7h
	.dw	0D584h
	.dw	0D522h
	.dw	0D4BFh
	.dw	0D45Dh
	.dw	0D3FBh
	.dw	0D399h
	.dw	0D337h
	.dw	0D2D6h
	.dw	0D275h
	.dw	0D213h
	.dw	0D1B2h
	.dw	0D152h
	.dw	0D0F1h
	.dw	0D090h
	.dw	0D030h
	.dw	0CFD0h
	.dw	0CF70h
	.dw	0CF10h
	.dw	0CEB1h
	.dw	0CE51h
	.dw	0CDF2h
	.dw	0CD93h
	.dw	0CD34h
	.dw	0CCD5h
	.dw	0CC77h
	.dw	0CC18h
	.dw	0CBBAh
	.dw	0CB5Ch
	.dw	0CAFEh
	.dw	0CAA1h
	.dw	0CA43h
	.dw	0C9E6h
	.dw	0C988h
	.dw	0C92Bh
	.dw	0C8CEh
	.dw	0C872h
	.dw	0C815h
	.dw	0C7B9h
	.dw	0C75Dh
	.dw	0C701h
	.dw	0C6A5h
	.dw	0C649h
	.dw	0C5EDh
	.dw	0C592h
	.dw	0C537h
	.dw	0C4DCh
	.dw	0C481h
	.dw	0C426h
	.dw	0C3CCh
	.dw	0C371h
	.dw	0C317h
	.dw	0C2BDh
	.dw	0C263h
	.dw	0C209h
	.dw	0C1B0h
	.dw	0C156h
	.dw	0C0FDh
	.dw	0C0A4h
	.dw	0C04Bh
	.dw	0BFF2h
	.dw	0BF9Ah
	.dw	0BF41h
	.dw	0BEE9h
	.dw	0BE91h
	.dw	0BE39h
	.dw	0BDE1h
	.dw	0BD89h
	.dw	0BD32h
	.dw	0BCDAh
	.dw	0BC83h
	.dw	0BC2Ch
	.dw	0BBD5h
	.dw	0BB7Fh
	.dw	0BB28h
	.dw	0BAD2h
	.dw	0BA7Bh
	.dw	0BA25h
	.dw	0B9CFh
	.dw	0B97Ah
	.dw	0B924h
	.dw	0B8CEh
	.dw	0B879h
	.dw	0B824h
	.dw	0B7CFh
	.dw	0B77Ah
	.dw	0B725h
	.dw	0B6D1h
	.dw	0B67Ch
	.dw	0B628h
	.dw	0B5D4h
	.dw	0B580h
	.dw	0B52Ch
	.dw	0B4D9h
	.dw	0B485h
	.dw	0B432h
	.dw	0B3DFh
	.dw	0B38Ch
	.dw	0B339h
	.dw	0B2E6h
	.dw	0B293h
	.dw	0B241h
	.dw	0B1EFh
	.dw	0B19Ch
	.dw	0B14Ah
	.dw	0B0F9h
	.dw	0B0A7h
	.dw	0B055h
	.dw	0B004h
	.dw	0AFB3h
	.dw	0AF62h
	.dw	0AF11h
	.dw	0AEC0h
	.dw	0AE6Fh
	.dw	0AE1Fh
	.dw	0ADCEh
	.dw	0AD7Eh
	.dw	0AD2Eh
	.dw	0ACDEh
	.dw	0AC8Eh
	.dw	0AC3Eh
	.dw	0ABEFh
	.dw	0AB9Fh
	.dw	0AB50h
	.dw	0AB01h
	.dw	0AAB2h
	.dw	0AA63h
	.dw	0AA15h
	.dw	0A9C6h
	.dw	0A978h
	.dw	0A92Ah
	.dw	0A8DBh
	.dw	0A88Eh
	.dw	0A840h
	.dw	0A7F2h
	.dw	0A7A5h
	.dw	0A757h
	.dw	0A70Ah
	.dw	0A6BDh
	.dw	0A670h
	.dw	0A623h
	.dw	0A5D6h
	.dw	0A58Ah
	.dw	0A53Dh
	.dw	0A4F1h
	.dw	0A4A5h
	.dw	0A459h
	.dw	0A40Dh
	.dw	0A3C1h
	.dw	0A376h
	.dw	0A32Ah
	.dw	0A2DFh
	.dw	0A294h
	.dw	0A249h
	.dw	0A1FEh
	.dw	0A1B3h
	.dw	0A168h
	.dw	0A11Eh
	.dw	0A0D3h
	.dw	0A089h
	.dw	0A03Fh
	.dw	09FF5h
	.dw	09FABh
	.dw	09F61h
	.dw	09F18h
	.dw	09ECEh
	.dw	09E85h
	.dw	09E3Ch
	.dw	09DF3h
	.dw	09DAAh
	.dw	09D61h
	.dw	09D18h
	.dw	09CD0h
	.dw	09C87h
	.dw	09C3Fh
	.dw	09BF7h
	.dw	09BAFh
	.dw	09B67h
	.dw	09B1Fh
	.dw	09AD8h
	.dw	09A90h
	.dw	09A49h
	.dw	09A02h
	.dw	099BBh
	.dw	09974h
	.dw	0992Dh
	.dw	098E6h
	.dw	0989Fh
	.dw	09859h
	.dw	09813h
	.dw	097CCh
	.dw	09786h
	.dw	09740h
	.dw	096FBh
	.dw	096B5h
	.dw	0966Fh
	.dw	0962Ah
	.dw	095E5h
	.dw	0959Fh
	.dw	0955Ah
	.dw	09515h
	.dw	094D0h
	.dw	0948Ch
	.dw	09447h
	.dw	09403h
	.dw	093BEh
	.dw	0937Ah
	.dw	09336h
	.dw	092F2h
	.dw	092AEh
	.dw	0926Bh
	.dw	09227h
	.dw	091E4h
	.dw	091A0h
	.dw	0915Dh
	.dw	0911Ah
	.dw	090D7h
	.dw	09094h
	.dw	09051h
	.dw	0900Fh
	.dw	08FCCh
	.dw	08F8Ah
	.dw	08F47h
	.dw	08F05h
	.dw	08EC3h
	.dw	08E81h
	.dw	08E40h
	.dw	08DFEh
	.dw	08DBCh
	.dw	08D7Bh
	.dw	08D3Ah
	.dw	08CF8h
	.dw	08CB7h
	.dw	08C76h
	.dw	08C35h
	.dw	08BF5h
	.dw	08BB4h
	.dw	08B74h
	.dw	08B33h
	.dw	08AF3h
	.dw	08AB3h
	.dw	08A73h
	.dw	08A33h
	.dw	089F3h
	.dw	089B3h
	.dw	08974h
	.dw	08934h
	.dw	088F5h
	.dw	088B6h
	.dw	08877h
	.dw	08838h
	.dw	087F9h
	.dw	087BAh
	.dw	0877Bh
	.dw	0873Dh
	.dw	086FEh
	.dw	086C0h
	.dw	08682h
	.dw	08644h
	.dw	08606h
	.dw	085C8h
	.dw	0858Ah
	.dw	0854Ch
	.dw	0850Fh
	.dw	084D1h
	.dw	08494h
	.dw	08457h
	.dw	0841Ah
	.dw	083DDh
	.dw	083A0h
	.dw	08363h
	.dw	08327h
	.dw	082EAh
	.dw	082AEh
	.dw	08271h
	.dw	08235h
	.dw	081F9h
	.dw	081BDh
	.dw	08181h
	.dw	08145h
	.dw	08109h
	.dw	080CEh
	.dw	08092h
	.dw	08057h
	.dw	0801Ch
	.dw	07FE1h
	.dw	07FA6h
	.dw	07F6Bh
	.dw	07F30h
	.dw	07EF5h
	.dw	07EBBh
	.dw	07E80h
	.dw	07E46h
	.dw	07E0Bh
	.dw	07DD1h
	.dw	07D97h
	.dw	07D5Dh
	.dw	07D23h
	.dw	07CE9h
	.dw	07CB0h
	.dw	07C76h
	.dw	07C3Dh
	.dw	07C03h
	.dw	07BCAh
	.dw	07B91h
	.dw	07B58h
	.dw	07B1Fh
	.dw	07AE6h
	.dw	07AADh
	.dw	07A75h
	.dw	07A3Ch
	.dw	07A04h
	.dw	079CBh
	.dw	07993h
	.dw	0795Bh
	.dw	07923h
	.dw	078EBh
	.dw	078B3h
	.dw	0787Ch
	.dw	07844h
	.dw	0780Ch
	.dw	077D5h
	.dw	0779Eh
	.dw	07766h
	.dw	0772Fh
	.dw	076F8h
	.dw	076C1h
	.dw	0768Bh
	.dw	07654h
	.dw	0761Dh
	.dw	075E7h
	.dw	075B0h
	.dw	0757Ah
	.dw	07544h
	.dw	0750Eh
	.dw	074D7h
	.dw	074A2h
	.dw	0746Ch
	.dw	07436h
	.dw	07400h
	.dw	073CBh
	.dw	07395h
	.dw	07360h
	.dw	0732Bh
	.dw	072F5h
	.dw	072C0h
	.dw	0728Bh
	.dw	07257h
	.dw	07222h
	.dw	071EDh
	.dw	071B8h
	.dw	07184h
	.dw	07150h
	.dw	0711Bh
	.dw	070E7h
	.dw	070B3h
	.dw	0707Fh
	.dw	0704Bh
	.dw	07017h
	.dw	06FE3h
	.dw	06FB0h
	.dw	06F7Ch
	.dw	06F49h
	.dw	06F15h
	.dw	06EE2h
	.dw	06EAFh
	.dw	06E7Ch
	.dw	06E49h
	.dw	06E16h
	.dw	06DE3h
	.dw	06DB0h
	.dw	06D7Eh
	.dw	06D4Bh
	.dw	06D19h
	.dw	06CE6h
	.dw	06CB4h
	.dw	06C82h
	.dw	06C50h
	.dw	06C1Eh
	.dw	06BECh
	.dw	06BBAh
	.dw	06B88h
	.dw	06B57h
	.dw	06B25h
	.dw	06AF3h
	.dw	06AC2h
	.dw	06A91h
	.dw	06A60h
	.dw	06A2Fh
	.dw	069FDh
	.dw	069CDh
	.dw	0699Ch
	.dw	0696Bh
	.dw	0693Ah
	.dw	0690Ah
	.dw	068D9h
	.dw	068A9h
	.dw	06878h
	.dw	06848h
	.dw	06818h
	.dw	067E8h
	.dw	067B8h
	.dw	06788h
	.dw	06758h
	.dw	06729h
	.dw	066F9h
	.dw	066CAh
	.dw	0669Ah
	.dw	0666Bh
	.dw	0663Bh
	.dw	0660Ch
	.dw	065DDh
	.dw	065AEh
	.dw	0657Fh
	.dw	06550h
	.dw	06521h
	.dw	064F3h
	.dw	064C4h
	.dw	06496h
	.dw	06467h
	.dw	06439h
	.dw	0640Bh
	.dw	063DCh
	.dw	063AEh
	.dw	06380h
	.dw	06352h
	.dw	06324h
	.dw	062F7h
	.dw	062C9h
	.dw	0629Bh
	.dw	0626Eh
	.dw	06240h
	.dw	06213h
	.dw	061E6h
	.dw	061B9h
	.dw	0618Ch
	.dw	0615Eh
	.dw	06132h
	.dw	06105h
	.dw	060D8h
	.dw	060ABh
	.dw	0607Fh
	.dw	06052h
	.dw	06025h
	.dw	05FF9h
	.dw	05FCDh
	.dw	05FA1h
	.dw	05F74h
	.dw	05F48h
	.dw	05F1Ch
	.dw	05EF0h
	.dw	05EC5h
	.dw	05E99h
	.dw	05E6Dh
	.dw	05E42h
	.dw	05E16h
	.dw	05DEBh
	.dw	05DBFh
	.dw	05D94h
	.dw	05D69h
	.dw	05D3Eh
	.dw	05D13h
	.dw	05CE8h
	.dw	05CBDh
	.dw	05C92h
	.dw	05C67h
	.dw	05C3Dh
	.dw	05C12h
	.dw	05BE7h
	.dw	05BBDh
	.dw	05B93h
	.dw	05B68h
	.dw	05B3Eh
	.dw	05B14h
	.dw	05AEAh
	.dw	05AC0h
	.dw	05A96h
	.dw	05A6Ch
	.dw	05A43h
	.dw	05A19h
	.dw	059EFh
	.dw	059C6h
	.dw	0599Ch
	.dw	05973h
	.dw	0594Ah
	.dw	05920h
	.dw	058F7h
	.dw	058CEh
	.dw	058A5h
	.dw	0587Ch
	.dw	05853h
	.dw	0582Bh
	.dw	05802h
	.dw	057D9h
	.dw	057B1h
	.dw	05788h
	.dw	05760h
	.dw	05738h
	.dw	0570Fh
	.dw	056E7h
	.dw	056BFh
	.dw	05697h
	.dw	0566Fh
	.dw	05647h
	.dw	0561Fh
	.dw	055F7h
	.dw	055D0h
	.dw	055A8h
	.dw	05581h
	.dw	05559h
	.dw	05532h
	.dw	0550Ah
	.dw	054E3h
	.dw	054BCh
	.dw	05495h
	.dw	0546Eh
	.dw	05447h
	.dw	05420h
	.dw	053F9h
	.dw	053D2h
	.dw	053ACh
	.dw	05385h
	.dw	0535Eh
	.dw	05338h
	.dw	05311h
	.dw	052EBh
	.dw	052C5h
	.dw	0529Fh
	.dw	05278h
	.dw	05252h
	.dw	0522Ch
	.dw	05206h
	.dw	051E1h
	.dw	051BBh
	.dw	05195h
	.dw	0516Fh
	.dw	0514Ah
	.dw	05124h
	.dw	050FFh
	.dw	050D9h
	.dw	050B4h
	.dw	0508Fh
	.dw	0506Ah
	.dw	05044h
	.dw	0501Fh
	.dw	04FFAh
	.dw	04FD6h
	.dw	04FB1h
	.dw	04F8Ch
	.dw	04F67h
	.dw	04F42h
	.dw	04F1Eh
	.dw	04EF9h
	.dw	04ED5h
	.dw	04EB1h
	.dw	04E8Ch
	.dw	04E68h
	.dw	04E44h
	.dw	04E20h
	.dw	04DFCh
	.dw	04DD8h
	.dw	04DB4h
	.dw	04D90h
	.dw	04D6Ch
	.dw	04D48h
	.dw	04D24h
	.dw	04D01h
	.dw	04CDDh
	.dw	04CBAh
	.dw	04C96h
	.dw	04C73h
	.dw	04C50h
	.dw	04C2Dh
	.dw	04C09h
	.dw	04BE6h
	.dw	04BC3h
	.dw	04BA0h
	.dw	04B7Dh
	.dw	04B5Ah
	.dw	04B38h
	.dw	04B15h
	.dw	04AF2h
	.dw	04AD0h
	.dw	04AADh
	.dw	04A8Bh
	.dw	04A68h
	.dw	04A46h
	.dw	04A24h
	.dw	04A01h
	.dw	049DFh
	.dw	049BDh
	.dw	0499Bh
	.dw	04979h
	.dw	04957h
	.dw	04935h
	.dw	04913h
	.dw	048F2h
	.dw	048D0h
	.dw	048AEh
	.dw	0488Dh
	.dw	0486Bh
	.dw	0484Ah
	.dw	04829h
	.dw	04807h
	.dw	047E6h
	.dw	047C5h
	.dw	047A4h
	.dw	04783h
	.dw	04762h
	.dw	04741h
	.dw	04720h
	.dw	046FFh
	.dw	046DEh
	.dw	046BDh
	.dw	0469Dh
	.dw	0467Ch
	.dw	0465Ch
	.dw	0463Bh
	.dw	$461B
	.dw	045FAh
	.dw	045DAh
	.dw	045BAh
	.dw	0459Ah
	.dw	04579h
	.dw	04559h
	.dw	04539h
	.dw	04519h
	.dw	044FAh
	.dw	044DAh
	.dw	044BAh
	.dw	0449Ah
	.dw	0447Ah
	.dw	0445Bh
	.dw	0443Bh
	.dw	0441Ch
	.dw	043FCh
	.dw	043DDh
	.dw	043BEh
	.dw	0439Eh
	.dw	0437Fh
	.dw	04360h
	.dw	04341h
	.dw	04322h
	.dw	04303h
	.dw	042E4h
	.dw	042C5h
	.dw	042A6h
	.dw	04287h
	.dw	04269h
	.dw	0424Ah
	.dw	0422Bh
	.dw	0420Dh
	.dw	041EEh
	.dw	041D0h
	.dw	041B2h
	.dw	04193h
	.dw	04175h
	.dw	04157h
	.dw	04139h
	.dw	0411Ah
	.dw	040FCh
	.dw	040DEh
	.dw	040C0h
	.dw	040A3h
	.dw	04085h
	.dw	04067h
	.dw	04049h
	.dw	0402Ch
	.dw	0400Eh
	.dw	03FF0h
	.dw	03FD3h
	.dw	03FB5h
	.dw	03F98h
	.dw	03F7Bh
	.dw	03F5Dh
	.dw	03F40h
	.dw	03F23h
	.dw	03F06h
	.dw	03EE9h
	.dw	03ECCh
	.dw	03EAFh
	.dw	03E92h
	.dw	03E75h
	.dw	03E58h
	.dw	03E3Bh
	.dw	03E1Eh
	.dw	03E02h
	.dw	03DE5h
	.dw	03DC8h
	.dw	03DACh
	.dw	03D8Fh
	.dw	03D73h
	.dw	03D57h
	.dw	03D3Ah
	.dw	03D1Eh
	.dw	03D02h
	.dw	03CE6h
	.dw	03CCAh
	.dw	03CAEh
	.dw	03C92h
	.dw	03C76h
	.dw	03C5Ah
	.dw	03C3Eh
	.dw	03C22h
	.dw	03C06h
	.dw	03BEBh
	.dw	03BCFh
	.dw	03BB3h
	.dw	03B98h
	.dw	03B7Ch
	.dw	03B61h
	.dw	03B45h
	.dw	03B2Ah
	.dw	03B0Fh
	.dw	03AF3h
	.dw	03AD8h
	.dw	03ABDh
	.dw	03AA2h
	.dw	03A87h
	.dw	03A6Ch
	.dw	03A51h
	.dw	03A36h
	.dw	03A1Bh
	.dw	03A00h
	.dw	039E5h
	.dw	039CBh
	.dw	039B0h
	.dw	03995h
	.dw	0397Bh
	.dw	03960h
	.dw	03946h
	.dw	0392Bh
	.dw	03911h
	.dw	038F7h
	.dw	038DCh
	.dw	038C2h
	.dw	038A8h
	.dw	0388Eh
	.dw	03874h
	.dw	03859h
	.dw	0383Fh
	.dw	03825h
	.dw	0380Ch
	.dw	037F2h
	.dw	037D8h
	.dw	037BEh
	.dw	037A4h
	.dw	0378Bh
	.dw	03771h
	.dw	03757h
	.dw	0373Eh
	.dw	03724h
	.dw	0370Bh
	.dw	036F1h
	.dw	036D8h
	.dw	036BFh
	.dw	036A6h
	.dw	0368Ch
	.dw	03673h
	.dw	0365Ah
	.dw	03641h
	.dw	03628h
	.dw	0360Fh
	.dw	035F6h
	.dw	035DDh
	.dw	035C4h
	.dw	035ABh
	.dw	03592h
	.dw	0357Ah
	.dw	03561h
	.dw	03548h
	.dw	03530h
	.dw	03517h
	.dw	034FFh
	.dw	034E6h
	.dw	034CEh
	.dw	034B5h
	.dw	0349Dh
	.dw	03485h
	.dw	0346Dh
	.dw	03454h
	.dw	0343Ch
	.dw	03424h
	.dw	0340Ch
	.dw	033F4h
	.dw	033DCh
	.dw	033C4h
	.dw	033ACh
	.dw	03394h
	.dw	0337Dh
	.dw	03365h
	.dw	0334Dh
	.dw	03335h
	.dw	0331Eh
	.dw	03306h
	.dw	032EFh
	.dw	032D7h
	.dw	032C0h
	.dw	032A8h
	.dw	03291h
	.dw	03279h
	.dw	03262h
	.dw	0324Bh
	.dw	03234h
	.dw	0321Ch
	.dw	03205h
	.dw	031EEh
	.dw	031D7h
	.dw	031C0h
	.dw	031A9h
	.dw	03192h
	.dw	0317Bh
	.dw	03165h
	.dw	0314Eh
	.dw	03137h
	.dw	03120h
	.dw	0310Ah
	.dw	030F3h
	.dw	030DCh
	.dw	030C6h
	.dw	030AFh
	.dw	03099h
	.dw	03082h
	.dw	0306Ch
	.dw	03056h
	.dw	0303Fh
	.dw	03029h
	.dw	03013h
	.dw	02FFDh
	.dw	02FE6h
	.dw	02FD0h
	.dw	02FBAh
	.dw	02FA4h
	.dw	02F8Eh
	.dw	02F78h
	.dw	02F62h
	.dw	02F4Ch
	.dw	02F37h
	.dw	02F21h
	.dw	02F0Bh
	.dw	02EF5h
	.dw	02EE0h
	.dw	02ECAh
	.dw	02EB4h
	.dw	02E9Fh
	.dw	02E89h
	.dw	02E74h
	.dw	02E5Eh
	.dw	02E49h
	.dw	02E34h
	.dw	02E1Eh
	.dw	02E09h
	.dw	02DF4h
	.dw	02DDFh
	.dw	02DC9h
	.dw	02DB4h
	.dw	02D9Fh
	.dw	02D8Ah
	.dw	02D75h
	.dw	02D60h
	.dw	02D4Bh
	.dw	02D36h
	.dw	02D21h
	.dw	02D0Ch
	.dw	02CF8h
	.dw	02CE3h
	.dw	02CCEh
	.dw	02CB9h
	.dw	02CA5h
	.dw	02C90h
	.dw	02C7Ch
	.dw	02C67h
	.dw	02C53h
	.dw	02C3Eh
	.dw	02C2Ah
	.dw	02C15h
	.dw	02C01h
	.dw	02BEDh
	.dw	02BD8h
	.dw	02BC4h
	.dw	02BB0h
	.dw	02B9Ch
	.dw	02B88h
	.dw	02B74h
	.dw	02B5Fh
	.dw	02B4Bh
	.dw	02B37h
	.dw	02B24h
	.dw	02B10h
	.dw	02AFCh
	.dw	02AE8h
	.dw	02AD4h
	.dw	02AC0h
	.dw	02AADh
	.dw	02A99h
	.dw	02A85h
	.dw	02A72h
	.dw	02A5Eh
	.dw	02A4Ah
	.dw	02A37h
	.dw	02A23h
	.dw	02A10h
	.dw	029FDh
	.dw	029E9h
	.dw	029D6h
	.dw	029C2h
	.dw	029AFh
	.dw	0299Ch
	.dw	02989h
	.dw	02976h
	.dw	02962h
	.dw	0294Fh
	.dw	0293Ch
	.dw	02929h
	.dw	02916h
	.dw	02903h
	.dw	028F0h
	.dw	028DDh
	.dw	028CBh
	.dw	028B8h
	.dw	028A5h
	.dw	02892h
	.dw	0287Fh
	.dw	0286Dh
	.dw	0285Ah
	.dw	02847h
	.dw	02835h
	.dw	02822h
	.dw	02810h
	.dw	027FDh
	.dw	027EBh
	.dw	027D8h
	.dw	027C6h
	.dw	027B4h
	.dw	027A1h
	.dw	0278Fh
	.dw	0277Dh
	.dw	0276Ah
	.dw	02758h
	.dw	02746h
	.dw	02734h
	.dw	02722h
	.dw	02710h
	.dw	026FEh
	.dw	026ECh
	.dw	026DAh
	.dw	026C8h
	.dw	026B6h
	.dw	026A4h
	.dw	02692h
	.dw	02680h
	.dw	0266Fh
	.dw	0265Dh
	.dw	0264Bh
	.dw	0263Ah
	.dw	02628h
	.dw	02616h
	.dw	02605h
	.dw	025F3h
	.dw	025E2h
	.dw	025D0h
	.dw	025BFh
	.dw	025ADh
	.dw	0259Ch
	.dw	0258Ah
	.dw	02579h
	.dw	02568h
	.dw	02557h
	.dw	02545h
	.dw	02534h
	.dw	02523h
	.dw	02512h
	.dw	02501h
	.dw	024F0h
	.dw	024DFh
	.dw	024CEh
	.dw	024BDh
	.dw	024ACh
	.dw	0249Bh
	.dw	0248Ah
	.dw	02479h
	.dw	02468h
	.dw	02457h
	.dw	02446h
	.dw	02436h
	.dw	02425h
	.dw	02414h
	.dw	02404h
	.dw	023F3h
	.dw	023E2h
	.dw	023D2h
	.dw	023C1h
	.dw	023B1h
	.dw	023A0h
	.dw	02390h
	.dw	0237Fh
	.dw	0236Fh
	.dw	0235Fh
	.dw	0234Eh
	.dw	0233Eh
	.dw	0232Eh
	.dw	0231Eh
	.dw	0230Dh
	.dw	022FDh
	.dw	022EDh
	.dw	022DDh
	.dw	022CDh
	.dw	022BDh
	.dw	022ADh
	.dw	0229Dh
	.dw	0228Dh
	.dw	0227Dh
	.dw	0226Dh
	.dw	0225Dh
	.dw	0224Dh
	.dw	0223Dh
	.dw	0222Dh
	.dw	0221Eh
	.dw	0220Eh
	.dw	021FEh
	.dw	021EEh
	.dw	021DFh
	.dw	021CFh
	.dw	021C0h
	.dw	021B0h
	.dw	021A0h
	.dw	02191h
	.dw	02181h
	.dw	02172h
	.dw	02163h
	.dw	02153h
	.dw	02144h
	.dw	02134h
	.dw	02125h
	.dw	02116h
	.dw	02106h
	.dw	020F7h
	.dw	020E8h
	.dw	020D9h
	.dw	020CAh
	.dw	020BAh
	.dw	020ABh
	.dw	0209Ch
	.dw	0208Dh
	.dw	0207Eh
	.dw	0206Fh
	.dw	02060h
	.dw	02051h
	.dw	02042h
	.dw	02033h
	.dw	02025h
	.dw	02016h
	.dw	02007h
	.dw	01FF8h
	.dw	01FE9h
	.dw	01FDBh
	.dw	01FCCh
	.dw	01FBDh
	.dw	01FAFh
	.dw	01FA0h
	.dw	01F91h
	.dw	01F83h
	.dw	01F74h
	.dw	01F66h
	.dw	01F57h
	.dw	01F49h
	.dw	01F3Ah
	.dw	01F2Ch
	.dw	01F1Eh
	.dw	01F0Fh
	.dw	01F01h
	.dw	01EF3h
	.dw	01EE4h
	.dw	01ED6h
	.dw	01EC8h
	.dw	01EBAh
	.dw	01EABh
	.dw	01E9Dh
	.dw	01E8Fh
	.dw	01E81h
	.dw	01E73h
	.dw	01E65h
	.dw	01E57h
	.dw	01E49h
	.dw	01E3Bh
	.dw	01E2Dh
	.dw	01E1Fh
	.dw	01E11h
	.dw	01E03h
	.dw	01DF5h
	.dw	01DE7h
	.dw	01DDAh
	.dw	01DCCh
	.dw	01DBEh
	.dw	01DB0h
	.dw	01DA3h
	.dw	01D95h
	.dw	01D87h
	.dw	01D7Ah
	.dw	01D6Ch
	.dw	01D5Eh
	.dw	01D51h
	.dw	01D43h
	.dw	01D36h
	.dw	01D28h
	.dw	01D1Bh
	.dw	01D0Dh
	.dw	01D00h
	.dw	01CF3h
	.dw	01CE5h
	.dw	01CD8h
	.dw	01CCBh
	.dw	01CBDh
	.dw	01CB0h
	.dw	01CA3h
	.dw	01C96h
	.dw	01C88h
	.dw	01C7Bh
	.dw	01C6Eh
	.dw	01C61h
	.dw	01C54h
	.dw	01C47h
	.dw	01C3Ah
	.dw	01C2Dh
	.dw	01C20h
	.dw	01C13h
	.dw	01C06h
	.dw	01BF9h
	.dw	01BECh
	.dw	01BDFh
	.dw	01BD2h
	.dw	01BC5h
	.dw	01BB8h
	.dw	01BACh
	.dw	01B9Fh
	.dw	01B92h
	.dw	01B85h
	.dw	01B79h
	.dw	01B6Ch
	.dw	01B5Fh
	.dw	01B53h
	.dw	01B46h
	.dw	01B3Ah
	.dw	01B2Dh
	.dw	01B20h
	.dw	01B14h
	.dw	01B07h
	.dw	01AFBh
	.dw	01AEEh
	.dw	01AE2h
	.dw	01AD6h
	.dw	01AC9h
	.dw	01ABDh
	.dw	01AB1h
	.dw	01AA4h
	.dw	01A98h
	.dw	01A8Ch
	.dw	01A7Fh
	.dw	01A73h
	.dw	01A67h
	.dw	01A5Bh
	.dw	01A4Fh
	.dw	01A42h
	.dw	01A36h
	.dw	01A2Ah
	.dw	01A1Eh
	.dw	01A12h
	.dw	01A06h
	.dw	019FAh
	.dw	019EEh
	.dw	019E2h
	.dw	019D6h
	.dw	019CAh
	.dw	019BEh
	.dw	019B2h
	.dw	019A7h
	.dw	0199Bh
	.dw	0198Fh
	.dw	01983h
	.dw	01977h
	.dw	0196Ch
	.dw	01960h
	.dw	01954h
	.dw	01948h
	.dw	0193Dh
	.dw	01931h
	.dw	01925h
	.dw	0191Ah
	.dw	0190Eh
	.dw	01903h
	.dw	018F7h
	.dw	018ECh
	.dw	018E0h
	.dw	018D5h
	.dw	018C9h
	.dw	018BEh
	.dw	018B2h
	.dw	018A7h
	.dw	0189Bh
	.dw	01890h
	.dw	01885h
	.dw	01879h
	.dw	0186Eh
	.dw	01863h
	.dw	01858h
	.dw	0184Ch
	.dw	01841h
	.dw	01836h
	.dw	0182Bh
	.dw	01820h
	.dw	01814h
	.dw	01809h
	.dw	017FEh
	.dw	017F3h
	.dw	017E8h
	.dw	017DDh
	.dw	017D2h
	.dw	017C7h
	.dw	017BCh
	.dw	017B1h
	.dw	017A6h
	.dw	0179Bh
	.dw	01790h
	.dw	01786h
	.dw	0177Bh
	.dw	01770h
	.dw	01765h
	.dw	0175Ah
	.dw	0174Fh
	.dw	01745h
	.dw	0173Ah
	.dw	0172Fh
	.dw	01724h
	.dw	0171Ah
	.dw	0170Fh
	.dw	01704h
	.dw	016FAh
	.dw	016EFh
	.dw	016E5h
	.dw	016DAh
	.dw	016D0h
	.dw	016C5h
	.dw	016BBh
	.dw	016B0h
	.dw	016A6h
	.dw	0169Bh
	.dw	01691h
	.dw	01686h
	.dw	0167Ch
	.dw	01671h
	.dw	01667h
	.dw	0165Dh
	.dw	01652h
	.dw	01648h
	.dw	0163Eh
	.dw	01634h
	.dw	01629h
	.dw	0161Fh
	.dw	01615h
	.dw	0160Bh
	.dw	01600h
	.dw	015F6h
	.dw	015ECh
	.dw	015E2h
	.dw	015D8h
	.dw	015CEh
	.dw	015C4h
	.dw	015BAh
	.dw	015B0h
	.dw	015A6h
	.dw	0159Ch
	.dw	01592h
	.dw	01588h
	.dw	0157Eh
	.dw	01574h
	.dw	0156Ah
	.dw	01560h
	.dw	01556h
	.dw	0154Ch
	.dw	01543h
	.dw	01539h
	.dw	0152Fh
	.dw	01525h
	.dw	0151Bh
	.dw	01512h
	.dw	01508h
	.dw	014FEh
	.dw	014F5h
	.dw	014EBh
	.dw	014E1h
	.dw	014D8h
	.dw	014CEh
	.dw	014C4h
	.dw	014BBh
	.dw	014B1h
	.dw	014A8h
	.dw	0149Eh
	.dw	01495h
	.dw	0148Bh
	.dw	01482h
	.dw	01478h
	.dw	0146Fh
	.dw	01465h
	.dw	0145Ch
	.dw	01452h
	.dw	01449h
	.dw	01440h
	.dw	01436h
	.dw	0142Dh
	.dw	01424h
	.dw	0141Ah
	.dw	01411h
	.dw	01408h
	.dw	013FFh
	.dw	013F5h
	.dw	013ECh
	.dw	013E3h
	.dw	013DAh
	.dw	013D1h
	.dw	013C7h
	.dw	013BEh
	.dw	013B5h
	.dw	013ACh
	.dw	013A3h
	.dw	0139Ah
	.dw	01391h
	.dw	01388h
	.dw	0137Fh
	.dw	01376h
	.dw	0136Dh
	.dw	01364h
	.dw	0135Bh
	.dw	01352h
	.dw	01349h
	.dw	01340h
	.dw	01337h
	.dw	0132Eh
	.dw	01326h
	.dw	0131Dh
	.dw	01314h
	.dw	0130Bh
	.dw	01302h
	.dw	012FAh
	.dw	012F1h
	.dw	012E8h
	.dw	012DFh
	.dw	012D7h
	.dw	012CEh
	.dw	012C5h
	.dw	012BDh
	.dw	012B4h
	.dw	012ABh
	.dw	012A3h
	.dw	0129Ah
	.dw	01291h
	.dw	01289h
	.dw	01280h
	.dw	01278h
	.dw	0126Fh
	.dw	01267h
	.dw	0125Eh
	.dw	01256h
	.dw	0124Dh
	.dw	01245h
	.dw	0123Ch
	.dw	01234h
	.dw	0122Ch
	.dw	01223h
	.dw	0121Bh
	.dw	01212h
	.dw	0120Ah
	.dw	01202h
	.dw	011FAh
	.dw	011F1h
	.dw	011E9h
	.dw	011E1h
	.dw	011D8h
	.dw	011D0h
	.dw	011C8h
	.dw	011C0h
	.dw	011B8h
	.dw	011AFh
	.dw	011A7h
	.dw	0119Fh
	.dw	01197h
	.dw	0118Fh
	.dw	01187h
	.dw	0117Fh
	.dw	01177h
	.dw	0116Eh
	.dw	01166h
	.dw	0115Eh
	.dw	01156h
	.dw	0114Eh
	.dw	01146h
	.dw	0113Eh
	.dw	01136h
	.dw	0112Eh
	.dw	01127h
	.dw	0111Fh
	.dw	01117h
	.dw	0110Fh
	.dw	01107h
	.dw	010FFh
	.dw	010F7h
	.dw	010EFh
	.dw	010E8h
	.dw	010E0h
	.dw	010D8h
	.dw	010D0h
	.dw	010C8h
	.dw	010C1h
	.dw	010B9h
	.dw	010B1h
	.dw	010AAh
	.dw	010A2h
	.dw	0109Ah
	.dw	01093h
	.dw	0108Bh
	.dw	01083h
	.dw	0107Ch
	.dw	01074h
	.dw	0106Ch
	.dw	01065h
	.dw	0105Dh
	.dw	01056h
	.dw	0104Eh
	.dw	01047h
	.dw	0103Fh
	.dw	01038h
	.dw	01030h
	.dw	01029h
	.dw	01021h
	.dw	0101Ah
	.dw	01012h
	.dw	0100Bh
	.dw	01003h
	.dw	00FFCh
	.dw	00FF5h
	.dw	00FEDh
	.dw	$0FE6
	.dw	00FDFh
	.dw	00FD7h
	.dw	00FD0h
	.dw	00FC9h
	.dw	00FC1h
	.dw	00FBAh
	.dw	00FB3h
	.dw	00FACh
	.dw	00FA4h
	.dw	00F9Dh
	.dw	00F96h
	.dw	00F8Fh
	.dw	00F88h
	.dw	00F80h
	.dw	00F79h
	.dw	00F72h
	.dw	00F6Bh
	.dw	00F64h
	.dw	00F5Dh
	.dw	00F56h
	.dw	00F4Fh
	.dw	$0F48
	.dw	00F40h
	.dw	00F39h
	.dw	00F32h
	.dw	00F2Bh
	.dw	00F24h
	.dw	00F1Dh
	.dw	00F16h
	.dw	00F0Fh
	.dw	00F08h
	.dw	00F02h
	.dw	00EFBh
	.dw	00EF4h
	.dw	00EEDh
	.dw	00EE6h
	.dw	00EDFh
	.dw	00ED8h
	.dw	00ED1h
	.dw	00ECAh
	.dw	00EC4h
	.dw	00EBDh
	.dw	00EB6h
	.dw	00EAFh
	.dw	00EA8h
	.dw	00EA2h
	.dw	00E9Bh
	.dw	00E94h
	.dw	00E8Dh
	.dw	00E87h
	.dw	00E80h
	.dw	00E79h
	.dw	00E73h
	.dw	00E6Ch
	.dw	00E65h
	.dw	00E5Fh
	.dw	00E58h
	.dw	00E51h
	.dw	00E4Bh
	.dw	00E44h
	.dw	00E3Eh
	.dw	00E37h
	.dw	00E30h
	.dw	00E2Ah
	.dw	00E23h
	.dw	00E1Dh
	.dw	00E16h
	.dw	00E10h
	.dw	00E09h
	.dw	00E03h
	.dw	00DFCh
	.dw	00DF6h
	.dw	00DF0h
	.dw	00DE9h
	.dw	00DE3h
	.dw	00DDCh
	.dw	00DD6h
	.dw	00DCFh
	.dw	00DC9h
	.dw	00DC3h
	.dw	00DBCh
	.dw	00DB6h
	.dw	00DB0h
	.dw	00DA9h
	.dw	00DA3h
	.dw	00D9Dh
	.dw	00D96h
	.dw	00D90h
	.dw	00D8Ah
	.dw	00D84h
	.dw	00D7Dh
	.dw	00D77h
	.dw	00D71h
	.dw	00D6Bh
	.dw	00D65h
	.dw	00D5Eh
	.dw	00D58h
	.dw	00D52h
	.dw	00D4Ch
	.dw	00D46h
	.dw	00D40h
	.dw	00D3Ah
	.dw	00D33h
	.dw	00D2Dh
	.dw	00D27h
	.dw	00D21h
	.dw	00D1Bh
	.dw	00D15h
	.dw	00D0Fh
	.dw	00D09h
	.dw	00D03h
	.dw	00CFDh
	.dw	00CF7h
	.dw	00CF1h
	.dw	00CEBh
	.dw	00CE5h
	.dw	00CDFh
	.dw	00CD9h
	.dw	00CD3h
	.dw	00CCDh
	.dw	00CC7h
	.dw	00CC2h
	.dw	00CBCh
	.dw	00CB6h
	.dw	00CB0h
	.dw	00CAAh
	.dw	00CA4h
	.dw	00C9Eh
	.dw	00C99h
	.dw	00C93h
	.dw	00C8Dh
	.dw	00C87h
	.dw	00C81h
	.dw	00C7Ch
	.dw	00C76h
	.dw	00C70h
	.dw	00C6Ah
	.dw	00C65h
	.dw	00C5Fh
	.dw	00C59h
	.dw	00C53h
	.dw	00C4Eh
	.dw	00C48h
	.dw	00C42h
	.dw	00C3Dh
	.dw	00C37h
	.dw	00C31h
	.dw	00C2Ch
	.dw	00C26h
	.dw	00C21h
	.dw	00C1Bh
	.dw	00C15h
	.dw	00C10h
	.dw	00C0Ah
	.dw	00C05h
	.dw	00BFFh
	.dw	00BFAh
	.dw	00BF4h
	.dw	00BEFh
	.dw	00BE9h
	.dw	00BE4h
	.dw	00BDEh
	.dw	00BD9h
	.dw	00BD3h
	.dw	00BCEh
	.dw	00BC8h
	.dw	00BC3h
	.dw	00BBDh
	.dw	00BB8h
	.dw	00BB2h
	.dw	00BADh
	.dw	00BA8h
	.dw	00BA2h
	.dw	00B9Dh
	.dw	00B98h
	.dw	00B92h
	.dw	00B8Dh
	.dw	00B88h
	.dw	00B82h
	.dw	00B7Dh
	.dw	00B78h
	.dw	00B72h
	.dw	00B6Dh
	.dw	00B68h
	.dw	00B63h
	.dw	00B5Dh
	.dw	00B58h
	.dw	00B53h
	.dw	00B4Eh
	.dw	00B48h
	.dw	00B43h
	.dw	00B3Eh
	.dw	00B39h
	.dw	00B34h
	.dw	00B2Eh
	.dw	00B29h
	.dw	00B24h
	.dw	00B1Fh
	.dw	00B1Ah
	.dw	00B15h
	.dw	00B10h
	.dw	00B0Ah
	.dw	00B05h
	.dw	00B00h
	.dw	00AFBh
	.dw	00AF6h
	.dw	00AF1h
	.dw	00AECh
	.dw	00AE7h
	.dw	00AE2h
	.dw	00ADDh
	.dw	00AD8h
	.dw	00AD3h
	.dw	00ACEh
	.dw	00AC9h
	.dw	00AC4h
	.dw	00ABFh
	.dw	00ABAh
	.dw	00AB5h
	.dw	00AB0h
	.dw	00AABh
	.dw	00AA6h
	.dw	00AA1h
	.dw	00A9Ch
	.dw	00A97h
	.dw	00A93h
	.dw	00A8Eh
	.dw	00A89h
	.dw	00A84h
	.dw	00A7Fh
	.dw	00A7Ah
	.dw	00A75h
	.dw	00A71h
	.dw	00A6Ch
	.dw	00A67h
	.dw	00A62h
	.dw	00A5Dh
	.dw	00A59h
	.dw	00A54h
	.dw	00A4Fh
	.dw	00A4Ah
	.dw	00A46h
	.dw	00A41h
	.dw	00A3Ch
	.dw	00A37h
	.dw	00A33h
	.dw	00A2Eh
	.dw	00A29h
	.dw	00A25h
	.dw	00A20h
	.dw	00A1Bh
	.dw	00A17h
	.dw	00A12h
	.dw	00A0Dh
	.dw	00A09h
	.dw	00A04h
	.dw	009FFh
	.dw	009FBh
	.dw	009F6h
	.dw	009F1h
	.dw	009EDh
	.dw	009E8h
	.dw	009E4h
	.dw	009DFh
	.dw	009DBh
	.dw	009D6h
	.dw	009D2h
	.dw	009CDh
	.dw	009C8h
	.dw	009C4h
	.dw	009BFh
	.dw	009BBh
	.dw	009B6h
	.dw	009B2h
	.dw	009ADh
	.dw	009A9h
	.dw	009A5h
	.dw	009A0h
	.dw	0099Ch
	.dw	00997h
	.dw	00993h
	.dw	0098Eh
	.dw	0098Ah
	.dw	00986h
	.dw	00981h
	.dw	0097Dh
	.dw	00978h
	.dw	00974h
	.dw	00970h
	.dw	0096Bh
	.dw	00967h
	.dw	00963h
	.dw	0095Eh
	.dw	0095Ah
	.dw	00956h
	.dw	00951h
	.dw	0094Dh
	.dw	00949h
	.dw	00944h
	.dw	00940h
	.dw	0093Ch
	.dw	00938h
	.dw	00933h
	.dw	0092Fh
	.dw	0092Bh
	.dw	00927h
	.dw	00922h
	.dw	0091Eh
	.dw	0091Ah
	.dw	00916h
	.dw	00912h
	.dw	0090Dh
	.dw	00909h
	.dw	00905h
	.dw	00901h
	.dw	008FDh
	.dw	008F9h
	.dw	008F4h
	.dw	008F0h
	.dw	008ECh
	.dw	008E8h
	.dw	008E4h
	.dw	008E0h
	.dw	008DCh
	.dw	008D8h
	.dw	008D4h
	.dw	008D0h
	.dw	008CBh
	.dw	008C7h
	.dw	008C3h
	.dw	008BFh
	.dw	008BBh
	.dw	008B7h
	.dw	008B3h
	.dw	008AFh
	.dw	008ABh
	.dw	008A7h
	.dw	008A3h
	.dw	0089Fh
	.dw	0089Bh
	.dw	00897h
	.dw	00893h
	.dw	0088Fh
	.dw	0088Bh
	.dw	00887h
	.dw	00883h
	.dw	00880h
	.dw	0087Ch
	.dw	00878h
	.dw	00874h
	.dw	00870h
	.dw	0086Ch
	.dw	00868h
	.dw	00864h
	.dw	00860h
	.dw	0085Ch
	.dw	00859h
	.dw	00855h
	.dw	$0851
	.dw	0084Dh
	.dw	00849h
	.dw	00845h
	.dw	00842h
	.dw	0083Eh
	.dw	0083Ah
	.dw	00836h
	.dw	00832h
	.dw	0082Fh
	.dw	0082Bh
	.dw	00827h
	.dw	00823h
	.dw	00820h
	.dw	0081Ch
	.dw	00818h
	.dw	00814h
	.dw	00811h
	.dw	0080Dh
	.dw	00809h
	.dw	00805h
	.dw	00802h
	.dw	007FEh
	.dw	007FAh
	.dw	007F7h
	.dw	007F3h
	.dw	007EFh
	.dw	007ECh
	.dw	007E8h
	.dw	007E4h
	.dw	007E1h
	.dw	007DDh
	.dw	007D9h
	.dw	007D6h
	.dw	007D2h
	.dw	007CFh
	.dw	007CBh
	.dw	007C7h
	.dw	007C4h
	.dw	007C0h
	.dw	007BDh
	.dw	007B9h
	.dw	007B5h
	.dw	007B2h
	.dw	007AEh
	.dw	007ABh
	.dw	007A7h
	.dw	007A4h
	.dw	007A0h
	.dw	0079Dh
	.dw	00799h
	.dw	00796h
	.dw	00792h
	.dw	0078Fh
	.dw	0078Bh
	.dw	00788h
	.dw	00784h
	.dw	00781h
	.dw	0077Dh
	.dw	0077Ah
	.dw	00776h
	.dw	00773h
	.dw	00770h
	.dw	0076Ch
	.dw	00769h
	.dw	00765h
	.dw	00762h
	.dw	0075Eh
	.dw	0075Bh
	.dw	00758h
	.dw	00754h
	.dw	00751h
	.dw	0074Dh
	.dw	0074Ah
	.dw	00747h
	.dw	00743h
	.dw	00740h
	.dw	0073Dh
	.dw	00739h
	.dw	00736h
	.dw	00733h
	.dw	0072Fh
	.dw	0072Ch
	.dw	00729h
	.dw	00725h
	.dw	00722h
	.dw	0071Fh
	.dw	0071Ch
	.dw	00718h
	.dw	00715h
	.dw	00712h
	.dw	0070Eh
	.dw	0070Bh
	.dw	00708h
	.dw	00705h
	.dw	00701h
	.dw	006FEh
	.dw	006FBh
	.dw	006F8h
	.dw	006F5h
	.dw	006F1h
	.dw	006EEh
	.dw	006EBh
	.dw	006E8h
	.dw	006E5h
	.dw	006E1h
	.dw	006DEh
	.dw	006DBh
	.dw	006D8h
	.dw	006D5h
	.dw	006D2h
	.dw	006CEh
	.dw	006CBh
	.dw	006C8h
	.dw	006C5h
	.dw	006C2h
	.dw	006BFh
	.dw	006BCh
	.dw	006B9h
	.dw	006B5h
	.dw	006B2h
	.dw	006AFh
	.dw	006ACh
	.dw	006A9h
	.dw	006A6h
	.dw	006A3h
	.dw	006A0h
	.dw	0069Dh
	.dw	0069Ah
	.dw	00697h
	.dw	00694h
	.dw	00691h
	.dw	0068Eh
	.dw	0068Bh
	.dw	00688h
	.dw	00685h
	.dw	00682h
	.dw	0067Fh
	.dw	0067Ch
	.dw	00679h
	.dw	00676h
	.dw	00673h
	.dw	00670h
	.dw	0066Dh
	.dw	0066Ah
	.dw	00667h
	.dw	00664h
	.dw	00661h
	.dw	0065Eh
	.dw	0065Bh
	.dw	00658h
	.dw	00655h
	.dw	00652h
	.dw	0064Fh
	.dw	0064Ch
	.dw	00649h
	.dw	00646h
	.dw	00644h
	.dw	00641h
	.dw	0063Eh
	.dw	0063Bh
	.dw	00638h
	.dw	00635h
	.dw	00632h
	.dw	0062Fh
	.dw	0062Dh
	.dw	0062Ah
	.dw	00627h
	.dw	00624h
	.dw	00621h
	.dw	0061Eh
	.dw	0061Ch
	.dw	00619h
	.dw	00616h
	.dw	00613h
	.dw	00610h
	.dw	0060Dh
	.dw	0060Bh
	.dw	00608h
	.dw	00605h
	.dw	00602h
	.dw	00600h
	.dw	005FDh
	.dw	005FAh
	.dw	005F7h
	.dw	005F5h
	.dw	005F2h
	.dw	005EFh
	.dw	005ECh
	.dw	005EAh
	.dw	005E7h
	.dw	005E4h
	.dw	005E1h
	.dw	005DFh
	.dw	005DCh
	.dw	005D9h
	.dw	005D7h
	.dw	005D4h
	.dw	005D1h
	.dw	005CEh
	.dw	005CCh
	.dw	005C9h
	.dw	005C6h
	.dw	005C4h
	.dw	005C1h
	.dw	005BEh
	.dw	005BCh
	.dw	005B9h
	.dw	005B7h
	.dw	005B4h
	.dw	005B1h
	.dw	005AFh
	.dw	005ACh
	.dw	005A9h
	.dw	005A7h
	.dw	005A4h
	.dw	005A2h
	.dw	0059Fh
	.dw	0059Ch
	.dw	0059Ah
	.dw	00597h
	.dw	00595h
	.dw	00592h
	.dw	0058Fh
	.dw	0058Dh
	.dw	0058Ah
	.dw	00588h
	.dw	00585h
	.dw	00583h
	.dw	00580h
	.dw	0057Eh
	.dw	0057Bh
	.dw	00579h
	.dw	00576h
	.dw	00573h
	.dw	00571h
	.dw	0056Eh
	.dw	0056Ch
	.dw	00569h
	.dw	00567h
	.dw	00564h
	.dw	00562h
	.dw	0055Fh
	.dw	0055Dh
	.dw	0055Bh
	.dw	00558h
	.dw	00556h
	.dw	00553h
	.dw	00551h
	.dw	0054Eh
	.dw	0054Ch
	.dw	00549h
	.dw	00547h
	.dw	00544h
	.dw	00542h
	.dw	00540h
	.dw	0053Dh
	.dw	0053Bh
	.dw	00538h
	.dw	00536h
	.dw	00533h
	.dw	00531h
	.dw	0052Fh
	.dw	0052Ch
	.dw	0052Ah
	.dw	00528h
	.dw	00525h
	.dw	00523h
	.dw	00520h
	.dw	0051Eh
	.dw	0051Ch
	.dw	00519h
	.dw	00517h
	.dw	00515h
	.dw	00512h
	.dw	00510h
	.dw	0050Eh
	.dw	0050Bh
	.dw	00509h
	.dw	00507h
	.dw	00504h
	.dw	00502h
	.dw	00500h
	.dw	004FDh
	.dw	004FBh
	.dw	004F9h
	.dw	004F6h
	.dw	004F4h
	.dw	004F2h
	.dw	004F0h
	.dw	004EDh
	.dw	004EBh
	.dw	004E9h
	.dw	004E6h
	.dw	004E4h
	.dw	004E2h
	.dw	004E0h
	.dw	004DDh
	.dw	004DBh
	.dw	004D9h
	.dw	004D7h
	.dw	004D5h
	.dw	004D2h
	.dw	004D0h
	.dw	004CEh
	.dw	004CCh
	.dw	004C9h
	.dw	004C7h
	.dw	004C5h
	.dw	004C3h
	.dw	004C1h
	.dw	004BEh
	.dw	004BCh
	.dw	004BAh
	.dw	004B8h
	.dw	004B6h
	.dw	004B3h
	.dw	004B1h
	.dw	004AFh
	.dw	004ADh
	.dw	004ABh
	.dw	004A9h
	.dw	004A7h
	.dw	004A4h
	.dw	004A2h
	.dw	004A0h
	.dw	0049Eh
	.dw	0049Ch
	.dw	0049Ah
	.dw	00498h
	.dw	00495h
	.dw	00493h
	.dw	00491h
	.dw	0048Fh
	.dw	0048Dh
	.dw	0048Bh
	.dw	00489h
	.dw	00487h
	.dw	00485h
	.dw	00483h
	.dw	00480h
	.dw	0047Eh
	.dw	0047Ch
	.dw	0047Ah
	.dw	00478h
	.dw	00476h
	.dw	00474h
	.dw	00472h
	.dw	00470h
	.dw	0046Eh
	.dw	0046Ch
	.dw	0046Ah
	.dw	00468h
	.dw	00466h
	.dw	00464h
	.dw	00462h
	.dw	00460h
	.dw	0045Eh
	.dw	0045Ch
	.dw	0045Ah
	.dw	00458h
	.dw	00456h
	.dw	00454h
	.dw	00452h
	.dw	00450h
	.dw	0044Eh
	.dw	0044Ch
	.dw	0044Ah
	.dw	00448h
	.dw	00446h
	.dw	00444h
	.dw	00442h
	.dw	00440h
	.dw	0043Eh
	.dw	0043Ch
	.dw	0043Ah
	.dw	00438h
	.dw	00436h
	.dw	00434h
	.dw	00432h
	.dw	00430h
	.dw	0042Eh
	.dw	0042Ch
	.dw	0042Ah
	.dw	00428h
	.dw	00427h
	.dw	00425h
	.dw	00423h
	.dw	00421h
	.dw	0041Fh
	.dw	0041Dh
	.dw	0041Bh
	.dw	00419h
	.dw	00417h
	.dw	00415h
	.dw	00414h
	.dw	00412h
	.dw	00410h
	.dw	0040Eh
	.dw	0040Ch
	.dw	0040Ah
	.dw	00408h
	.dw	00406h
	.dw	00405h
	.dw	00403h
	.dw	00401h
	.dw	003FFh
	.dw	003FDh
	.dw	003FBh
	.dw	003F9h
	.dw	003F8h
	.dw	003F6h
	.dw	003F4h
	.dw	003F2h
	.dw	003F0h
	.dw	003EFh
	.dw	003EDh
	.dw	003EBh
	.dw	003E9h
	.dw	003E7h
	.dw	003E5h
	.dw	003E4h
	.dw	003E2h
	.dw	003E0h
	.dw	003DEh
	.dw	003DDh
	.dw	003DBh
	.dw	003D9h
	.dw	003D7h
	.dw	003D5h
	.dw	003D4h
	.dw	003D2h
	.dw	003D0h
	.dw	003CEh
	.dw	003CDh
	.dw	003CBh
	.dw	003C9h
	.dw	003C7h
	.dw	003C6h
	.dw	003C4h
	.dw	003C2h
	.dw	003C0h
	.dw	003BFh
	.dw	003BDh
	.dw	003BBh
	.dw	003B9h
	.dw	003B8h
	.dw	003B6h
	.dw	003B4h
	.dw	003B3h
	.dw	003B1h
	.dw	003AFh
	.dw	003AEh
	.dw	003ACh
	.dw	003AAh
	.dw	003A8h
	.dw	003A7h
	.dw	003A5h
	.dw	003A3h
	.dw	003A2h
	.dw	003A0h
	.dw	0039Eh
	.dw	0039Dh
	.dw	0039Bh
	.dw	00399h
	.dw	00398h
	.dw	00396h
	.dw	00394h
	.dw	00393h
	.dw	00391h
	.dw	0038Fh
	.dw	0038Eh
	.dw	0038Ch
	.dw	0038Ah
	.dw	00389h
	.dw	00387h
	.dw	00386h
	.dw	00384h
	.dw	00382h
	.dw	00381h
	.dw	0037Fh
	.dw	0037Dh
	.dw	0037Ch
	.dw	0037Ah
	.dw	00379h
	.dw	00377h
	.dw	00375h
	.dw	00374h
	.dw	00372h
	.dw	00371h
	.dw	0036Fh
	.dw	0036Eh
	.dw	0036Ch
	.dw	0036Ah
	.dw	00369h
	.dw	00367h
	.dw	00366h
	.dw	00364h
	.dw	00362h
	.dw	00361h
	.dw	0035Fh
	.dw	0035Eh
	.dw	0035Ch
	.dw	0035Bh
	.dw	00359h
	.dw	00358h
	.dw	00356h
	.dw	00355h
	.dw	00353h
	.dw	00351h
	.dw	00350h
	.dw	0034Eh
	.dw	0034Dh
	.dw	0034Bh
	.dw	0034Ah
	.dw	00348h
	.dw	00347h
	.dw	00345h
	.dw	00344h
	.dw	00342h
	.dw	00341h
	.dw	0033Fh
	.dw	0033Eh
	.dw	0033Ch
	.dw	0033Bh
	.dw	00339h
	.dw	00338h
	.dw	00336h
	.dw	00335h
	.dw	00333h
	.dw	00332h
	.dw	00330h
	.dw	0032Fh
	.dw	0032Dh
	.dw	0032Ch
	.dw	0032Bh
	.dw	00329h
	.dw	00328h
	.dw	00326h
	.dw	00325h
	.dw	00323h
	.dw	00322h
	.dw	00320h
	.dw	0031Fh
	.dw	0031Dh
	.dw	0031Ch
	.dw	0031Bh
	.dw	00319h
	.dw	00318h
	.dw	00316h
	.dw	00315h
	.dw	00313h
	.dw	00312h
	.dw	00311h
	.dw	0030Fh
	.dw	0030Eh
	.dw	0030Ch
	.dw	0030Bh
	.dw	0030Ah
	.dw	00308h
	.dw	00307h
	.dw	00305h
	.dw	00304h
	.dw	00303h
	.dw	00301h
	.dw	00300h
	.dw	002FEh
	.dw	002FDh
	.dw	002FCh
	.dw	002FAh
	.dw	002F9h
	.dw	002F8h
	.dw	002F6h
	.dw	002F5h
	.dw	002F3h
	.dw	002F2h
	.dw	002F1h
	.dw	002EFh
	.dw	002EEh
	.dw	002EDh
	.dw	002EBh
	.dw	002EAh
	.dw	002E9h
	.dw	002E7h
	.dw	002E6h
	.dw	002E5h
	.dw	002E3h
	.dw	002E2h
	.dw	002E1h
	.dw	002DFh
	.dw	002DEh
	.dw	002DDh
	.dw	002DBh
	.dw	002DAh
	.dw	002D9h
	.dw	002D7h
	.dw	002D6h
	.dw	002D5h
	.dw	002D3h
	.dw	002D2h
	.dw	002D1h
	.dw	002CFh
	.dw	002CEh
	.dw	002CDh
	.dw	002CCh
	.dw	002CAh
	.dw	002C9h
	.dw	002C8h
	.dw	002C6h
	.dw	002C5h
	.dw	002C4h
	.dw	002C3h
	.dw	002C1h
	.dw	002C0h
	.dw	002BFh
	.dw	002BEh
	.dw	002BCh
	.dw	002BBh
	.dw	002BAh
	.dw	002B8h
	.dw	002B7h
	.dw	002B6h
	.dw	002B5h
	.dw	002B3h
	.dw	002B2h
	.dw	002B1h
	.dw	002B0h
	.dw	002AEh
	.dw	002ADh
	.dw	002ACh
	.dw	002ABh
	.dw	002AAh
	.dw	002A8h
	.dw	002A7h
	.dw	002A6h
	.dw	002A5h
	.dw	002A3h
	.dw	002A2h
	.dw	002A1h
	.dw	002A0h
	.dw	0029Fh
	.dw	0029Dh
	.dw	0029Ch
	.dw	0029Bh
	.dw	0029Ah
	.dw	00299h
	.dw	00297h
	.dw	00296h
	.dw	00295h
	.dw	00294h
	.dw	00293h
	.dw	00291h
	.dw	00290h
	.dw	0028Fh
	.dw	0028Eh
	.dw	0028Dh
	.dw	0028Bh
	.dw	0028Ah
	.dw	00289h
	.dw	00288h
	.dw	00287h
	.dw	00286h
	.dw	00284h
	.dw	00283h
	.dw	00282h
	.dw	00281h
	.dw	00280h
	.dw	0027Fh
	.dw	0027Eh
	.dw	0027Ch
	.dw	0027Bh
	.dw	0027Ah
	.dw	00279h
	.dw	00278h
	.dw	00277h
	.dw	00276h
	.dw	00274h
	.dw	00273h
	.dw	00272h
	.dw	00271h
	.dw	00270h
	.dw	0026Fh
	.dw	0026Eh
	.dw	0026Ch
	.dw	0026Bh
	.dw	0026Ah
	.dw	00269h
	.dw	00268h
	.dw	00267h
	.dw	00266h
	.dw	00265h
	.dw	00264h
	.dw	00262h
	.dw	00261h
	.dw	00260h
	.dw	0025Fh
	.dw	0025Eh
	.dw	0025Dh
	.dw	0025Ch
	.dw	0025Bh
	.dw	0025Ah
	.dw	00259h
	.dw	00258h
	.dw	00256h
	.dw	00255h
	.dw	00254h
	.dw	00253h
	.dw	00252h
	.dw	00251h
	.dw	00250h
	.dw	0024Fh
	.dw	0024Eh
	.dw	0024Dh
	.dw	0024Ch
	.dw	0024Bh
	.dw	0024Ah
	.dw	00249h
	.dw	00248h
	.dw	00247h
	.dw	00245h
	.dw	00244h
	.dw	00243h
	.dw	00242h
	.dw	00241h
	.dw	00240h
	.dw	0023Fh
	.dw	0023Eh
	.dw	0023Dh
	.dw	0023Ch
	.dw	0023Bh
	.dw	0023Ah
	.dw	00239h
	.dw	00238h
	.dw	00237h
	.dw	00236h
	.dw	00235h
	.dw	00234h
	.dw	00233h
	.dw	00232h
	.dw	00231h
	.dw	00230h
	.dw	0022Fh
	.dw	0022Eh
	.dw	0022Dh
	.dw	0022Ch
	.dw	0022Bh
	.dw	0022Ah
	.dw	00229h
	.dw	00228h
	.dw	00227h
	.dw	00226h
	.dw	00225h
	.dw	00224h
	.dw	00223h
	.dw	00222h
	.dw	00221h
	.dw	00220h
	.dw	0021Fh
	.dw	0021Eh
	.dw	0021Dh
	.dw	0021Ch
	.dw	0021Bh
	.dw	0021Ah
	.dw	00219h
	.dw	00218h
	.dw	00217h
	.dw	00216h
	.dw	00215h
	.dw	00214h
	.dw	00213h
	.dw	00212h
	.dw	00211h
	.dw	00210h
	.dw	0020Fh
	.dw	0020Eh
	.dw	0020Eh
	.dw	0020Dh
	.dw	0020Ch
	.dw	0020Bh
	.dw	0020Ah
	.dw	00209h
	.dw	00208h
	.dw	00207h
	.dw	00206h
	.dw	00205h
	.dw	00204h
	.dw	00203h
	.dw	00202h
	.dw	00201h
	.dw	00200h
	.dw	00200h
	.dw	001FFh
	.dw	001FEh
	.dw	001FDh
	.dw	001FCh
	.dw	001FBh
	.dw	001FAh
	.dw	001F9h
	.dw	001F8h
	.dw	001F7h
	.dw	001F6h
	.dw	001F5h
	.dw	001F5h
	.dw	001F4h
	.dw	001F3h
	.dw	001F2h
	.dw	001F1h
	.dw	001F0h
	.dw	001EFh
	.dw	001EEh
	.dw	001EDh
	.dw	001ECh
	.dw	001ECh
	.dw	001EBh
	.dw	001EAh
	.dw	001E9h
	.dw	001E8h
	.dw	001E7h
	.dw	001E6h
	.dw	001E5h
	.dw	001E5h
	.dw	001E4h
	.dw	001E3h
	.dw	001E2h
	.dw	001E1h
	.dw	001E0h
	.dw	001DFh
	.dw	001DEh
	.dw	001DEh
	.dw	001DDh
	.dw	001DCh
	.dw	001DBh
	.dw	001DAh
	.dw	001D9h
	.dw	001D8h
	.dw	001D8h
	.dw	001D7h
	.dw	001D6h
	.dw	001D5h
	.dw	001D4h
	.dw	001D3h
	.dw	001D3h
	.dw	001D2h
	.dw	001D1h
	.dw	001D0h
	.dw	001CFh
	.dw	001CEh
	.dw	001CDh
	.dw	001CDh
	.dw	001CCh
	.dw	001CBh
	.dw	001CAh
	.dw	001C9h
	.dw	001C9h
	.dw	001C8h
	.dw	001C7h
	.dw	001C6h
	.dw	001C5h
	.dw	001C4h
	.dw	001C4h
	.dw	001C3h
	.dw	001C2h
	.dw	001C1h
	.dw	001C0h
	.dw	001C0h
	.dw	001BFh
	.dw	001BEh
	.dw	001BDh
	.dw	001BCh
	.dw	001BCh
	.dw	001BBh
	.dw	001BAh
	.dw	001B9h
	.dw	001B8h
	.dw	001B8h
	.dw	001B7h
	.dw	001B6h
	.dw	001B5h
	.dw	001B4h
	.dw	001B4h
	.dw	001B3h
	.dw	001B2h
	.dw	001B1h
	.dw	001B0h
	.dw	001B0h
	.dw	001AFh
	.dw	001AEh
	.dw	001ADh
	.dw	001ADh
	.dw	001ACh
	.dw	001ABh
	.dw	001AAh
	.dw	001A9h
	.dw	001A9h
	.dw	001A8h
	.dw	001A7h
	.dw	001A6h
	.dw	001A6h
	.dw	001A5h
	.dw	001A4h
	.dw	001A3h
	.dw	001A3h
	.dw	001A2h
	.dw	001A1h
	.dw	001A0h
	.dw	001A0h
	.dw	0019Fh
	.dw	0019Eh
	.dw	0019Dh
	.dw	0019Dh
	.dw	0019Ch
	.dw	0019Bh
	.dw	0019Ah
	.dw	0019Ah
	.dw	00199h
	.dw	00198h
	.dw	00197h
	.dw	00197h
	.dw	00196h
	.dw	00195h
	.dw	00195h
	.dw	00194h
	.dw	00193h
	.dw	00192h
	.dw	00192h
	.dw	00191h
	.dw	00190h
	.dw	0018Fh
	.dw	0018Fh
	.dw	0018Eh
	.dw	0018Dh
	.dw	0018Dh
	.dw	0018Ch
	.dw	0018Bh
	.dw	0018Ah
	.dw	0018Ah
	.dw	00189h
	.dw	00188h
	.dw	00188h
	.dw	00187h
	.dw	00186h
	.dw	00185h
	.dw	00185h
	.dw	00184h
	.dw	00183h
	.dw	00183h
	.dw	00182h
	.dw	00181h
	.dw	00181h
	.dw	00180h
	.dw	0017Fh
	.dw	0017Fh
	.dw	0017Eh
	.dw	0017Dh
	.dw	0017Ch
	.dw	0017Ch
	.dw	0017Bh
	.dw	0017Ah
	.dw	0017Ah
	.dw	00179h
	.dw	00178h
	.dw	00178h
	.dw	00177h
	.dw	00176h
	.dw	00176h
	.dw	00175h
	.dw	00174h
	.dw	00174h
	.dw	00173h
	.dw	00172h
	.dw	00172h
	.dw	00171h
	.dw	00170h
	.dw	00170h
	.dw	0016Fh
	.dw	0016Eh
	.dw	0016Eh
	.dw	0016Dh
	.dw	0016Ch
	.dw	0016Ch
	.dw	0016Bh
	.dw	0016Ah
	.dw	0016Ah
	.dw	00169h
	.dw	00168h
	.dw	00168h
	.dw	00167h
	.dw	00166h
	.dw	00166h
	.dw	00165h
	.dw	00165h
	.dw	00164h
	.dw	00163h
	.dw	00163h
	.dw	00162h
	.dw	00161h
	.dw	00161h
	.dw	00160h
	.dw	0015Fh
	.dw	0015Fh
	.dw	0015Eh
	.dw	0015Dh
	.dw	0015Dh
	.dw	0015Ch
	.dw	0015Ch
	.dw	0015Bh
	.dw	0015Ah
	.dw	0015Ah
	.dw	00159h
	.dw	00158h
	.dw	00158h
	.dw	00157h
	.dw	00157h
	.dw	00156h
	.dw	00155h
	.dw	00155h
	.dw	00154h
	.dw	00154h
	.dw	00153h
	.dw	00152h
	.dw	00152h
	.dw	00151h
	.dw	00150h
	.dw	00150h
	.dw	0014Fh
	.dw	0014Fh
	.dw	0014Eh
	.dw	0014Dh
	.dw	0014Dh
	.dw	0014Ch
	.dw	0014Ch
	.dw	0014Bh
	.dw	0014Ah
	.dw	0014Ah
	.dw	00149h
	.dw	00149h
	.dw	00148h
	.dw	00148h
	.dw	00147h
	.dw	00146h
	.dw	00146h
	.dw	00145h
	.dw	00145h
	.dw	00144h
	.dw	00143h
	.dw	00143h
	.dw	00142h
	.dw	00142h
	.dw	00141h
	.dw	00140h
	.dw	00140h
	.dw	0013Fh
	.dw	0013Fh
	.dw	0013Eh
	.dw	0013Eh
	.dw	0013Dh
	.dw	0013Ch
	.dw	0013Ch
	.dw	0013Bh
	.dw	0013Bh
	.dw	0013Ah
	.dw	0013Ah
	.dw	00139h
	.dw	00138h
	.dw	00138h
	.dw	00137h
	.dw	00137h
	.dw	00136h
	.dw	00136h
	.dw	00135h
	.dw	00135h
	.dw	00134h
	.dw	00133h
	.dw	00133h
	.dw	00132h
	.dw	00132h
	.dw	00131h
	.dw	00131h
	.dw	00130h
	.dw	00130h
	.dw	0012Fh
	.dw	0012Fh
	.dw	0012Eh
	.dw	0012Dh
	.dw	0012Dh
	.dw	0012Ch
	.dw	0012Ch
	.dw	0012Bh
	.dw	0012Bh
	.dw	0012Ah
	.dw	0012Ah
	.dw	00129h
	.dw	00129h
	.dw	00128h
	.dw	00127h
	.dw	00127h
	.dw	00126h
	.dw	00126h
	.dw	00125h
	.dw	00125h
	.dw	00124h
	.dw	00124h
	.dw	00123h
	.dw	00123h
	.dw	00122h
	.dw	00122h
	.dw	00121h
	.dw	00121h
	.dw	00120h
	.dw	00120h
	.dw	0011Fh
	.dw	0011Fh
	.dw	0011Eh
	.dw	0011Eh
	.dw	0011Dh
	.dw	0011Ch
	.dw	0011Ch
	.dw	0011Bh
	.dw	0011Bh
	.dw	0011Ah
	.dw	0011Ah
	.dw	00119h
	.dw	00119h
	.dw	00118h
	.dw	00118h
	.dw	00117h
	.dw	00117h
	.dw	00116h
	.dw	00116h
	.dw	00115h
	.dw	00115h
	.dw	00114h
	.dw	00114h
	.dw	00113h
	.dw	00113h
	.dw	00112h
	.dw	00112h
	.dw	00111h
	.dw	00111h
	.dw	00110h
	.dw	00110h
	.dw	0010Fh
	.dw	0010Fh
	.dw	0010Eh
	.dw	0010Eh
	.dw	0010Dh
	.dw	0010Dh
	.dw	0010Dh
	.dw	0010Ch
	.dw	0010Ch
	.dw	0010Bh
	.dw	0010Bh
	.dw	0010Ah
	.dw	0010Ah
	.dw	00109h
	.dw	00109h
	.dw	00108h
	.dw	00108h
	.dw	00107h
	.dw	00107h
	.dw	00106h
	.dw	00106h
	.dw	00105h
	.dw	00105h
	.dw	00104h
	.dw	00104h
	.dw	00103h
	.dw	00103h
	.dw	00103h
	.dw	00102h
	.dw	00102h
	.dw	00101h
	.dw	00101h
	.dw	00100h
	
	.end
